!
! ********************************************************************
! *                                                                  *
! *  Copyright 2001 Compaq Computer Corporation                      *
! *                                                                  *
! *  COMPAQ Registered in U.S. Patent and Trademark Office.          *
! *                                                                  *
! *  Confidential computer software. Valid license from Compaq or    *
! *  authorized sublicensor required for possession, use or copying. *
! *  Consistent with FAR 12.211 and 12.212, Commercial Computer      *
! *  Software, Computer Software Documentation, and Technical Data   *
! *  for Commercial Items are licensed to the U.S. Government under  *
! *  vendor's standard commercial license.                           *
! *                                                                  *
! ********************************************************************
!
module DFOPNGL
use DFOPNGLT
!DEC$ objcomment lib:"opengl32.lib"
!DEC$ objcomment lib:"glaux.lib"
!DEC$ objcomment lib:"glu32.lib"
!                           ****OPENGL*****
!                           **** FGL ****        
interface
subroutine  fglAccum  (op ,value ) 
!DEC$ ATTRIBUTES DEFAULT :: fglAccum
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glAccum@8' :: fglAccum
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glAccum'   :: fglAccum
!DEC$ENDIF
integer*4 op 
real*4 value 
end subroutine fglAccum
end interface
interface
subroutine  fglAlphaFunc  (func ,ref ) 
!DEC$ ATTRIBUTES DEFAULT :: fglAlphaFunc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glAlphaFunc@8' :: fglAlphaFunc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glAlphaFunc'   :: fglAlphaFunc
!DEC$ENDIF
integer*4 func 
real*4 ref 
end subroutine fglAlphaFunc
end interface
interface
integer(1) function fglAreTexturesResident (n,textures,residences)
!DEC$ ATTRIBUTES DEFAULT :: fglAreTexturesResident
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS:'_glAreTexturesResident@12' :: fglAreTexturesResident
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS:'glAreTexturesResident' :: fglAreTexturesResident
!DEC$ ENDIF
integer(4) n
integer(4) textures(*)
integer(1) residences(*)
end function fglAreTexturesResident
end interface
interface
subroutine fglArrayElement (index)
!DEC$ ATTRIBUTES DEFAULT :: fglArrayElement
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS:'_glArrayElement@4' :: fglArrayElement
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS:'glArrayElement' :: fglArrayElement
!DEC$ ENDIF
integer(4) index
end subroutine fglArrayElement
end interface
interface
subroutine  fglBegin  (mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglBegin
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glBegin@4' :: fglBegin
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glBegin'   :: fglBegin
!DEC$ENDIF
integer*4 mode 
end subroutine fglBegin
end interface
interface
subroutine fglBindTexture (target, texture)
!DEC$ ATTRIBUTES DEFAULT :: fglBindTexture
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS:'_glBindTexture@8' :: fglBindTexture
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS:'glBindTexture' :: fglBindTexture
!DEC$ ENDIF
integer(4) target
integer(4) texture
end subroutine fglBindTexture
end interface
interface
subroutine  fglBitmap  (width ,height ,xorig ,yorig ,xmove ,ymove ,bitmap ) 
!DEC$ ATTRIBUTES DEFAULT :: fglBitmap
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glBitmap@28' :: fglBitmap
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glBitmap'    :: fglBitmap
!DEC$ENDIF
integer*4 width 
integer*4 height 
real*4 xorig 
real*4 yorig 
real*4 xmove 
real*4 ymove 
integer*4   bitmap 
end subroutine fglBitmap
end interface
interface
subroutine  fglBlendFunc  (sfactor ,dfactor ) 
!DEC$ ATTRIBUTES DEFAULT :: fglBlendFunc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glBlendFunc@8' :: fglBlendFunc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glBlendFunc'   :: fglBlendFunc
!DEC$ENDIF
integer*4 sfactor 
integer*4 dfactor 
end subroutine fglBlendFunc
end interface
interface
subroutine  fglCallList  (list ) 
!DEC$ ATTRIBUTES DEFAULT :: fglCallList
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glCallList@4' :: fglCallList
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glCallList'   :: fglCallList
!DEC$ENDIF
integer*4 list 
end subroutine fglCallList
end interface
interface
subroutine  fglCallLists  (n ,type ,lists ) 
!DEC$ ATTRIBUTES DEFAULT :: fglCallLists
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glCallLists@12' :: fglCallLists
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glCallLists'    :: fglCallLists
!DEC$ENDIF
integer*4 n 
integer*4 type 
integer*4   lists 
end subroutine fglCallLists
end interface
interface
subroutine  fglClear  (mask ) 
!DEC$ ATTRIBUTES DEFAULT :: fglClear
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glClear@4' :: fglClear
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glClear'   :: fglClear
!DEC$ENDIF
integer*4 mask 
end subroutine fglClear
end interface
interface
subroutine  fglClearAccum  (red ,green ,blue ,alpha ) 
!DEC$ ATTRIBUTES DEFAULT :: fglClearAccum
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glClearAccum@16' :: fglClearAccum
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glClearAccum'    :: fglClearAccum
!DEC$ENDIF
real*4 red 
real*4 green 
real*4 blue 
real*4 alpha 
end subroutine fglClearAccum
end interface
interface
subroutine  fglClearColor  (red ,green ,blue ,alpha ) 
!DEC$ ATTRIBUTES DEFAULT :: fglClearColor
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glClearColor@16' :: fglClearColor
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glClearColor'    :: fglClearColor
!DEC$ENDIF
real*4 red 
real*4 green 
real*4 blue 
real*4 alpha 
end subroutine fglClearColor
end interface
interface
subroutine  fglClearDepth  (depth ) 
!DEC$ ATTRIBUTES DEFAULT :: fglClearDepth
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glClearDepth@8' :: fglClearDepth
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glClearDepth'   :: fglClearDepth
!DEC$ENDIF
real*8 depth 
end subroutine fglClearDepth
end interface
interface
subroutine  fglClearIndex  (c ) 
!DEC$ ATTRIBUTES DEFAULT :: fglClearIndex
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glClearIndex@4' :: fglClearIndex
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glClearIndex'   :: fglClearIndex
!DEC$ENDIF
real*4 c 
end subroutine fglClearIndex
end interface
interface
subroutine  fglClearStencil  (s ) 
!DEC$ ATTRIBUTES DEFAULT :: fglClearStencil
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glClearStencil@4' :: fglClearStencil
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glClearStencil'   :: fglClearStencil
!DEC$ENDIF
integer*4 s 
end subroutine fglClearStencil
end interface
interface
subroutine  fglClipPlane  (plane , equation ) 
!DEC$ ATTRIBUTES DEFAULT :: fglClipPlane
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glClipPlane@8' :: fglClipPlane
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glClipPlane'   :: fglClipPlane
!DEC$ENDIF
integer*4 plane 
integer*4 equation 
end subroutine fglClipPlane
end interface
interface
subroutine fglColor3b ( red, green, blue)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3b
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3b@12' :: fglColor3b
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3b'    :: fglColor3b
!DEC$ENDIF
integer(4)  red
integer(4)  green
integer(4)  blue
end subroutine fglColor3b
end interface
interface fglColor3bv
subroutine fglColor3bv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3bv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3bv@4' :: fglColor3bv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3bv'   :: fglColor3bv_array
!DEC$ENDIF
integer(1) v(3)
end subroutine fglColor3bv_array
subroutine fglColor3bv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3bv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3bv@4' :: fglColor3bv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3bv'   :: fglColor3bv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor3bv_ptr
end interface fglColor3bv
interface
subroutine fglColor3d (red, green, blue)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3d@24' :: fglColor3d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3d'    :: fglColor3d
!DEC$ENDIF
real(8)  red
real(8)  green
real(8)  blue
end subroutine fglColor3d
end interface
interface fglColor3dv
subroutine fglColor3dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3dv@4' :: fglColor3dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3dv'   :: fglColor3dv_array
!DEC$ENDIF
real(8) v(3)
end subroutine fglColor3dv_array
subroutine fglColor3dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3dv@4' :: fglColor3dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3dv'   :: fglColor3dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor3dv_ptr
end interface fglColor3dv
interface
subroutine fglColor3f (red, green, blue)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3f@12' :: fglColor3f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3f'    :: fglColor3f
!DEC$ENDIF
real*4 red
real*4 green
real*4 blue
end subroutine fglColor3f
end interface
interface fglColor3fv
subroutine fglColor3fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3fv@4' :: fglColor3fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3fv'   :: fglColor3fv_array
!DEC$ENDIF
real(4) v(3)
end subroutine fglColor3fv_array
!incorrect interface retained for compatibility
subroutine fglColor3fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3fv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3fv@4' :: fglColor3fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3fv'   :: fglColor3fv_ptr
!DEC$ENDIF
integer*4 v  ! pointer to array
!dec$ attributes value :: v
end subroutine fglColor3fv_ptr
end interface fglColor3fv
interface
subroutine fglColor3i (red, green, blue)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3i@12' :: fglColor3i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3i'    :: fglColor3i
!DEC$ENDIF
integer*4 red
integer*4 green
integer*4 blue
end subroutine fglColor3i
end interface
interface fglColor3iv
subroutine fglColor3iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3iv@4' :: fglColor3iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3iv'   :: fglColor3iv_array
!DEC$ENDIF
integer(4) v(3)
end subroutine fglColor3iv_array
!incorrect interface retained for compatibility
subroutine fglColor3iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3iv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3iv@4' :: fglColor3iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3iv'   :: fglColor3iv_ptr
!DEC$ENDIF
integer*4 v  ! pointer to array
!dec$ attributes value :: v
end subroutine fglColor3iv_ptr
end interface fglColor3iv
interface
subroutine fglColor3s (red, green, blue)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3s@12' :: fglColor3s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3s'    :: fglColor3s
!DEC$ENDIF
integer*4 red
integer*4 green
integer*4 blue
end subroutine fglColor3s
end interface
interface fglColor3sv
subroutine fglColor3sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3sv@4' :: fglColor3sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3sv'   :: fglColor3sv_array
!DEC$ENDIF
integer(2) v(3)
end subroutine fglColor3sv_array
subroutine fglColor3sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3sv@4' :: fglColor3sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3sv'   :: fglColor3sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor3sv_ptr
end interface fglColor3sv
interface
subroutine fglColor3ub (red, green, blue)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3ub
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3ub@12' :: fglColor3ub
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3ub'    :: fglColor3ub
!DEC$ENDIF
integer*4 red
integer*4 green
integer*4 blue
end subroutine fglColor3ub
end interface
interface fglColor3ubv
subroutine fglColor3ubv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3ubv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3ubv@4' :: fglColor3ubv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3ubv'   :: fglColor3ubv_array
!DEC$ENDIF
integer(1) v(3)
end subroutine fglColor3ubv_array
subroutine fglColor3ubv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3ubv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3ubv@4' :: fglColor3ubv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3ubv'   :: fglColor3ubv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor3ubv_ptr
end interface fglColor3ubv
interface
subroutine fglColor3ui (red, green, blue)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3ui
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3ui@12' :: fglColor3ui
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3ui'    :: fglColor3ui
!DEC$ENDIF
integer*4 red
integer*4 green
integer*4 blue
end subroutine fglColor3ui
end interface
interface fglColor3uiv
subroutine fglColor3uiv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3uiv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3uiv@4' :: fglColor3uiv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3uiv'   :: fglColor3uiv_array
!DEC$ENDIF
integer(4) v(3)
end subroutine fglColor3uiv_array
subroutine fglColor3uiv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3uiv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3uiv@4' :: fglColor3uiv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3uiv'   :: fglColor3uiv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor3uiv_ptr
end interface fglColor3uiv
interface
subroutine fglColor3us (red, green, blue)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3us
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3us@12' :: fglColor3us
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3us'    :: fglColor3us
!DEC$ENDIF
integer*2 red
integer*2 green
integer*2 blue
end subroutine fglColor3us
end interface
interface fglColor3usv
subroutine fglColor3usv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3usv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3usv@4' :: fglColor3usv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3usv'   :: fglColor3usv_array
!DEC$ENDIF
integer(2) v(3)
end subroutine fglColor3usv_array
subroutine fglColor3usv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor3usv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor3usv@4' :: fglColor3usv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor3usv'   :: fglColor3usv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor3usv_ptr
end interface fglColor3usv
interface
subroutine fglColor4b (red, green, blue, alpha)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4b
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4b@16' :: fglColor4b
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4b'    :: fglColor4b
!DEC$ENDIF
integer(1) red
integer(1) green
integer(1) blue
integer(1) alpha
end subroutine fglColor4b
end interface
interface fglColor4bv
subroutine fglColor4bv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4bv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4bv@4' :: fglColor4bv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4bv'   :: fglColor4bv_array
!DEC$ENDIF
integer(1) v(4)
end subroutine fglColor4bv_array
subroutine fglColor4bv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4bv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4bv@4' :: fglColor4bv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4bv'   :: fglColor4bv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor4bv_ptr
end interface fglColor4bv
interface
subroutine fglColor4d (red, green, blue, alpha)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4d@32' :: fglColor4d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4d'    :: fglColor4d
!DEC$ENDIF
real*8  red
real*8  green
real*8  blue
real*8  alpha
end subroutine fglColor4d
end interface
interface fglColor4dv
subroutine fglColor4dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4dv@4' :: fglColor4dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4dv'   :: fglColor4dv_array
!DEC$ENDIF
real(8) v(4)
end subroutine fglColor4dv_array
subroutine fglColor4dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4dv@4' :: fglColor4dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4dv'   :: fglColor4dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor4dv_ptr
end interface fglColor4dv
interface
subroutine fglColor4f (red, green, blue, alpha)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4f@16' :: fglColor4f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4f'    :: fglColor4f
!DEC$ENDIF
real*4 red
real*4 green
real*4 blue
real*4 alpha
end subroutine fglColor4f
end interface
interface fglColor4fv
subroutine fglColor4fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4fv@4' :: fglColor4fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4fv'   :: fglColor4fv_array
!DEC$ENDIF
real(4) v(4)
end subroutine fglColor4fv_array
subroutine fglColor4fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4fv@4' :: fglColor4fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4fv'   :: fglColor4fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor4fv_ptr
end interface fglColor4fv
interface
subroutine fglColor4i (red, green, blue, alpha)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4i@16' :: fglColor4i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4i'    :: fglColor4i
!DEC$ENDIF
integer*4 red
integer*4 green
integer*4 blue
integer*4 alpha
end subroutine fglColor4i
end interface
interface fglColor4iv
subroutine fglColor4iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4iv@4' :: fglColor4iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4iv'   :: fglColor4iv_array
!DEC$ENDIF
integer(4) v(4)
end subroutine fglColor4iv_array
subroutine fglColor4iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4iv@4' :: fglColor4iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4iv'   :: fglColor4iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor4iv_ptr
end interface fglColor4iv
interface
subroutine fglColor4s (red, green, blue, alpha)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4s@16' :: fglColor4s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4s'    :: fglColor4s
!DEC$ENDIF
integer*2 red
integer*2 green
integer*2 blue
integer*2 alpha
end subroutine fglColor4s
end interface
interface fglColor4sv
subroutine fglColor4sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4sv@4' :: fglColor4sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4sv'   :: fglColor4sv_array
!DEC$ENDIF
integer(2) v(4)
end subroutine fglColor4sv_array
subroutine fglColor4sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4sv@4' :: fglColor4sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4sv'   :: fglColor4sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor4sv_ptr
end interface fglColor4sv
interface
subroutine fglColor4ub (red, green, blue, alpha)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4ub
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4ub@16' :: fglColor4ub
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4ub'    :: fglColor4ub
!DEC$ENDIF
integer(1) red
integer(1) green
integer(1) blue
integer(1) alpha
end subroutine fglColor4ub
end interface
interface fglColor4ubv
subroutine fglColor4ubv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4ubv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4ubv@4' :: fglColor4ubv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4ubv'   :: fglColor4ubv_array
!DEC$ENDIF
integer(1) v(4)
end subroutine fglColor4ubv_array
subroutine fglColor4ubv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4ubv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4ubv@4' :: fglColor4ubv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4ubv'   :: fglColor4ubv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor4ubv_ptr
end interface fglColor4ubv
interface
subroutine fglColor4ui (red, green, blue, alpha)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4ui
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4ui@16' :: fglColor4ui
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4ui'    :: fglColor4ui
!DEC$ENDIF
integer*4 red
integer*4 green
integer*4 blue
integer*4 alpha
end subroutine fglColor4ui
end interface
interface fglColor4uiv
subroutine fglColor4uiv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4uiv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4uiv@4' :: fglColor4uiv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4uiv'   :: fglColor4uiv_array
!DEC$ENDIF
integer(4) v(4)
end subroutine fglColor4uiv_array
subroutine fglColor4uiv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4uiv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4uiv@4' :: fglColor4uiv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4uiv'   :: fglColor4uiv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor4uiv_ptr
end interface fglColor4uiv
interface
subroutine fglColor4us (red, green, blue, alpha)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4us
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4us@16' :: fglColor4us
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4us'    :: fglColor4us
!DEC$ENDIF
integer*2 red
integer*2 green
integer*2 blue
integer*2 alpha
end subroutine fglColor4us
end interface
interface fglColor4usv
subroutine fglColor4usv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4usv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4usv@4' :: fglColor4usv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4usv'   :: fglColor4usv_array
!DEC$ENDIF
integer(2) v(4)
end subroutine fglColor4usv_array
subroutine fglColor4usv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglColor4usv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColor4usv@4' :: fglColor4usv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColor4usv'   :: fglColor4usv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglColor4usv_ptr
end interface fglColor4usv
interface
subroutine  fglColorMask  (red ,green ,blue ,alpha ) 
!DEC$ ATTRIBUTES DEFAULT :: fglColorMask
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColorMask@16' :: fglColorMask
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColorMask'    :: fglColorMask
!DEC$ENDIF
integer(1) red 
integer(1) green 
integer(1) blue 
integer(1) alpha 
end subroutine fglColorMask
end interface
interface
subroutine  fglColorMaterial  (face ,mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglColorMaterial
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glColorMaterial@8' :: fglColorMaterial
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glColorMaterial'   :: fglColorMaterial
!DEC$ENDIF
integer*4 face 
integer*4 mode 
end subroutine fglColorMaterial
end interface
interface
subroutine fglColorPointer (size, type, stride, pointer)
!DEC$ ATTRIBUTES DEFAULT :: fglColorPointer
use DFOPNGLT
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS:'_glColorPointer@16' :: fglColorPointer
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS:'glColorPointer' :: fglColorPointer
!DEC$ ENDIF
INTEGER(K_GLint), INTENT(IN) :: size
INTEGER(K_GLenum), INTENT(IN) :: type
INTEGER(K_GLsizei), INTENT(IN) :: stride
INTEGER(K_GLvoid), INTENT(IN) ::  pointer   ! pointer into an array of colors - use %LOC
!DEC$ ATTRIBUTES VALUE :: POINTER
end subroutine fglColorPointer
end interface
interface
subroutine  fglCopyPixels  (x ,y ,width ,height ,type ) 
!DEC$ ATTRIBUTES DEFAULT :: fglCopyPixels
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glCopyPixels@20' :: fglCopyPixels
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glCopyPixels'    :: fglCopyPixels
!DEC$ENDIF
integer*4 x 
integer*4 y 
integer*4 width 
integer*4 height 
integer*4 type 
end subroutine fglCopyPixels
end interface
interface
subroutine fglCopyTexImage1D (target, level, internalFormat, x, y, width, border)
!DEC$ ATTRIBUTES DEFAULT :: fglCopyTexImage1D
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS:'_glCopyTexImage1D@28' :: fglCopyTexImage1D
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS:'glCopyTexImage1D' :: fglCopyTexImage1D
!DEC$ ENDIF
integer(4) target
integer(4) level
integer(4) internalFormat
integer(4) x
integer(4) y
integer(4) width
integer(4) border
end subroutine fglCopyTexImage1D
end interface
interface
subroutine fglCopyTexImage2D (target, level, internalFormat, x, y, width, height,border)
!DEC$ ATTRIBUTES DEFAULT :: fglCopyTexImage2D
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS:'_glCopyTexImage2D@32' :: fglCopyTexImage2D
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS:'glCopyTexImage2D' :: fglCopyTexImage2D
!DEC$ ENDIF
integer(4) target
integer(4) level
integer(4) internalFormat
integer(4) x
integer(4) y
integer(4) width
integer(4) height
integer(4) border
end subroutine fglCopyTexImage2D
end interface
interface
subroutine fglCopyTexSubImage1D (target, level, xoffset, x, y, width)
!DEC$ ATTRIBUTES DEFAULT :: fglCopyTexSubImage1D
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS:'_glCopyTexSubImage1D@24' :: fglCopyTexSubImage1D
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS:'glCopyTexSubImage1D' :: fglCopyTexSubImage1D
!DEC$ ENDIF
integer(4) target
integer(4) level
integer(4) xoffset
integer(4) x
integer(4) y
integer(4) width
end subroutine fglCopyTexSubImage1D
end interface
interface
subroutine fglCopyTexSubImage2D (target, level, xoffset, yoffset, x, y, width, height)
!DEC$ ATTRIBUTES DEFAULT :: fglCopyTexSubImage2D
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS:'_glCopyTexSubImage2D@32' :: fglCopyTexSubImage2D
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS:'glCopyTexSubImage2D' :: fglCopyTexSubImage2D
!DEC$ ENDIF
integer(4) target
integer(4) level
integer(4) xoffset
integer(4) yoffset
integer(4) x
integer(4) y
integer(4) width
integer(4) height
end subroutine fglCopyTexSubImage2D
end interface
interface
subroutine  fglCullFace  (mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglCullFace
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glCullFace@4' :: fglCullFace
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glCullFace'   :: fglCullFace
!DEC$ENDIF
integer*4 mode 
end subroutine fglCullFace
end interface
interface
subroutine  fglDeleteLists  (list ,range ) 
!DEC$ ATTRIBUTES DEFAULT :: fglDeleteLists
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDeleteLists@8' :: fglDeleteLists
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDeleteLists'   :: fglDeleteLists
!DEC$ENDIF
integer*4 list 
integer*4 range 
end subroutine fglDeleteLists
end interface
interface
subroutine fglDeleteTextures (n, textures)
!DEC$ ATTRIBUTES DEFAULT :: fglDeleteTextures
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDeleteTextures@8' :: fglDeleteTextures
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDeleteTextures'   :: fglDeleteTextures
!DEC$ ENDIF
integer(4) n
integer(4) textures(*)
end subroutine fglDeleteTextures
end interface
interface
subroutine  fglDepthFunc  (func ) 
!DEC$ ATTRIBUTES DEFAULT :: fglDepthFunc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDepthFunc@4' :: fglDepthFunc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDepthFunc'   :: fglDepthFunc
!DEC$ENDIF
integer*4 func 
end subroutine fglDepthFunc
end interface
interface
subroutine  fglDepthMask  (flag ) 
!DEC$ ATTRIBUTES DEFAULT :: fglDepthMask
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDepthMask@4' :: fglDepthMask
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDepthMask'   :: fglDepthMask
!DEC$ENDIF
integer(1) flag 
end subroutine fglDepthMask
end interface
interface
subroutine  fglDepthRange  (zNear ,zFar ) 
!DEC$ ATTRIBUTES DEFAULT :: fglDepthRange
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDepthRange@16' :: fglDepthRange
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDepthRange'    :: fglDepthRange
!DEC$ENDIF
real*8 zNear 
real*8 zFar 
end subroutine fglDepthRange
end interface
interface
subroutine  fglDisable  (cap ) 
!DEC$ ATTRIBUTES DEFAULT :: fglDisable
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDisable@4' :: fglDisable
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDisable'   :: fglDisable
!DEC$ENDIF
integer*4 cap 
end subroutine fglDisable
end interface
interface
subroutine fglDisableClientState (array)
!DEC$ ATTRIBUTES DEFAULT :: fglDisableClientState
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDisableClientState@4' :: fglDisableClientState
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDisableClientState'   :: fglDisableClientState
!DEC$ENDIF
integer*4 array
end subroutine fglDisableClientState
end interface
interface
subroutine fglDrawArrays (mode, first, count)
!DEC$ ATTRIBUTES DEFAULT :: fglDrawArrays
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDrawArrays@12' :: fglDrawArrays
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDrawArrays'   :: fglDrawArrays
!DEC$ ENDIF
integer(4) mode
integer(4) first
integer(4) count
end subroutine fglDrawArrays
end interface
interface
subroutine  fglDrawBuffer  (mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglDrawBuffer
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDrawBuffer@4' :: fglDrawBuffer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDrawBuffer'   :: fglDrawBuffer
!DEC$ENDIF
integer*4 mode 
end subroutine fglDrawBuffer
end interface
interface
subroutine  fglDrawElements  (mode,count,type,indices)
!DEC$ ATTRIBUTES DEFAULT :: fglDrawElements
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDrawElements@16' :: fglDrawElements
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDrawElements'   :: fglDrawElements
!DEC$ENDIF
integer*4 mode  ! GLenum
integer*4 count ! GLsizei
integer(4) type ! GLenum
integer(4) indices ! Pointer to indices
end subroutine fglDrawElements
end interface
interface
subroutine  fglDrawPixels  (width ,height ,format ,type, pixels ) 
!DEC$ ATTRIBUTES DEFAULT :: fglDrawPixels
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glDrawPixels@20' :: fglDrawPixels
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glDrawPixels'    :: fglDrawPixels
!DEC$ENDIF
integer*4 width 
integer*4 height 
integer*4 format 
integer*4 type 
integer*4 pixels 
end subroutine fglDrawPixels
end interface
interface
subroutine  fglEdgeFlag  (flag ) 
!DEC$ ATTRIBUTES DEFAULT :: fglEdgeFlag
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEdgeFlag@4' :: fglEdgeFlag
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEdgeFlag'   :: fglEdgeFlag
!DEC$ENDIF
integer(1) flag 
end subroutine fglEdgeFlag
end interface
interface
subroutine  fglEdgeFlagPointer  (stride,pointer)
!DEC$ ATTRIBUTES DEFAULT :: fglEdgeFlagPointer
use DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEdgeFlagPointer@8' :: fglEdgeFlagPointer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEdgeFlagPointer'   :: fglEdgeFlagPointer
!DEC$ENDIF
INTEGER(K_GLsizei), INTENT(IN) :: stride
INTEGER(K_GLvoid), INTENT(IN) :: pointer        ! Pointer into an array of GLboolean - use %LOC
end subroutine fglEdgeFlagPointer
end interface
interface
subroutine  fglEdgeFlagv  (flag ) 
!DEC$ ATTRIBUTES DEFAULT :: fglEdgeFlagv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEdgeFlagv@4' :: fglEdgeFlagv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEdgeFlagv'   :: fglEdgeFlagv
!DEC$ENDIF
integer(1) flag 
end subroutine fglEdgeFlagv
end interface
interface
subroutine  fglEnable  (cap ) 
!DEC$ ATTRIBUTES DEFAULT :: fglEnable
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEnable@4' :: fglEnable
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEnable'   :: fglEnable
!DEC$ENDIF
integer*4 cap 
end subroutine fglEnable
end interface
interface
subroutine fglEnableClientState (array)
!DEC$ ATTRIBUTES DEFAULT :: fglEnableClientState
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEnableClientState@4' :: fglEnableClientState
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEnableClientState'   :: fglEnableClientState
!DEC$ENDIF
integer*4 array ! GLenum
end subroutine fglEnableClientState
end interface
interface
subroutine  fglEnd  () 
!DEC$ ATTRIBUTES DEFAULT :: fglEnd
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEnd@0' :: fglEnd
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEnd'   :: fglEnd
!DEC$ENDIF
end subroutine fglEnd
end interface
interface
subroutine  fglEndList  () 
!DEC$ ATTRIBUTES DEFAULT :: fglEndList
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEndList@0' :: fglEndList
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEndList'   :: fglEndList
!DEC$ENDIF
end subroutine fglEndList
end interface
interface
subroutine fglEvalCoord1d (u)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord1d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord1d@8' :: fglEvalCoord1d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord1d'   :: fglEvalCoord1d
!DEC$ENDIF
real*8   u
end subroutine fglEvalCoord1d
end interface
interface
subroutine fglEvalCoord1dv (u)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord1dv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord1dv@4' :: fglEvalCoord1dv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord1dv'   :: fglEvalCoord1dv
!DEC$ENDIF
integer(4)  u
end subroutine fglEvalCoord1dv
end interface
interface
subroutine fglEvalCoord1f (u)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord1f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord1f@4' :: fglEvalCoord1f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord1f'   :: fglEvalCoord1f
!DEC$ENDIF
real*4   u
end subroutine fglEvalCoord1f
end interface
interface
subroutine fglEvalCoord1fv (u)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord1fv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord1fv@4' :: fglEvalCoord1fv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord1fv'   :: fglEvalCoord1fv
!DEC$ENDIF
integer(4)     u
end subroutine fglEvalCoord1fv
end interface
interface
subroutine fglEvalCoord2d (u, v)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord2d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord2d@16' :: fglEvalCoord2d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord2d'    :: fglEvalCoord2d
!DEC$ENDIF
real*8   u
real*8   v
end subroutine fglEvalCoord2d
end interface
interface fglEvalCoord2dv
subroutine fglEvalCoord2dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord2dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord2dv@4' :: fglEvalCoord2dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord2dv'   :: fglEvalCoord2dv_array
!DEC$ENDIF
real(8) v(2)
end subroutine fglEvalCoord2dv_array
subroutine fglEvalCoord2dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord2dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord2dv@4' :: fglEvalCoord2dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord2dv'   :: fglEvalCoord2dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglEvalCoord2dv_ptr
end interface fglEvalCoord2dv
interface
subroutine fglEvalCoord2f (u, v)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord2f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord2f@8' :: fglEvalCoord2f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord2f'   :: fglEvalCoord2f
!DEC$ENDIF
real*4   u
real*4   v
end subroutine fglEvalCoord2f
end interface
interface fglEvalCoord2fv
subroutine fglEvalCoord2fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord2fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord2fv@4' :: fglEvalCoord2fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord2fv'   :: fglEvalCoord2fv_array
!DEC$ENDIF
real(4) v(2)
end subroutine fglEvalCoord2fv_array
subroutine fglEvalCoord2fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalCoord2fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalCoord2fv@4' :: fglEvalCoord2fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalCoord2fv'   :: fglEvalCoord2fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglEvalCoord2fv_ptr
end interface fglEvalCoord2fv
interface
subroutine fglEvalMesh1 (mode, i1, i2)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalMesh1
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalMesh1@12' :: fglEvalMesh1
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalMesh1'    :: fglEvalMesh1
!DEC$ENDIF
integer*4 mode
integer*4 i1
integer*4 i2
end subroutine fglEvalMesh1
end interface
interface
subroutine fglEvalMesh2 (mode, i1, i2, j1, j2)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalMesh2
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalMesh2@20' :: fglEvalMesh2
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalMesh2'    :: fglEvalMesh2
!DEC$ENDIF
integer*4 mode
integer*4 i1
integer*4 i2
integer*4 j1
integer*4 j2
end subroutine fglEvalMesh2
end interface
interface
subroutine fglEvalPoint1 (i)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalPoint1
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalPoint1@4' :: fglEvalPoint1
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalPoint1'   :: fglEvalPoint1
!DEC$ENDIF
integer*4 i
end subroutine fglEvalPoint1
end interface
interface
subroutine fglEvalPoint2 (i, j)
!DEC$ ATTRIBUTES DEFAULT :: fglEvalPoint2
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glEvalPoint2@8' :: fglEvalPoint2
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glEvalPoint2'   :: fglEvalPoint2
!DEC$ENDIF
integer*4 i
integer*4 j
end subroutine fglEvalPoint2
end interface
interface
subroutine  fglFeedbackBuffer  (size ,type ,buffer ) 
!DEC$ ATTRIBUTES DEFAULT :: fglFeedbackBuffer
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFeedbackBuffer@12' :: fglFeedbackBuffer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFeedbackBuffer'    :: fglFeedbackBuffer
!DEC$ENDIF
integer*4 size  
integer*4 type  
integer*4 buffer  
end subroutine fglFeedbackBuffer
end interface
interface
subroutine  fglFinish  () 
!DEC$ ATTRIBUTES DEFAULT :: fglFinish
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFinish@0' :: fglFinish
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFinish'   :: fglFinish
!DEC$ENDIF
end subroutine fglFinish
end interface
interface
subroutine  fglFlush  () 
!DEC$ ATTRIBUTES DEFAULT :: fglFlush
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFlush@0' :: fglFlush
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFlush'   :: fglFlush
!DEC$ENDIF
end subroutine fglFlush
end interface
interface
subroutine  fglFogf  (pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglFogf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFogf@8' :: fglFogf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFogf'   :: fglFogf
!DEC$ENDIF
integer*4 pname  
real*4 param  
end subroutine fglFogf
end interface
interface fglFogfv
subroutine  fglFogfv_array  (pname , params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglFogfv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFogfv@8' :: fglFogfv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFogfv'   :: fglFogfv_array
!DEC$ENDIF
integer*4 pname  ! GLenum
real(4)   params(*)
end subroutine fglFogfv_array
!Incorrect interface retained for compatibility
subroutine  fglFogfv_ptr  (pname , params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglFogfv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFogfv@8' :: fglFogfv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFogfv'   :: fglFogfv_ptr
!DEC$ENDIF
integer*4 pname  
integer(4)   params  !Pointer to array
end subroutine fglFogfv_ptr
end interface fglFogfv
interface
subroutine  fglFogi  (pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglFogi
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFogi@8' :: fglFogi
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFogi'   :: fglFogi
!DEC$ENDIF
integer*4 pname  
integer*4 param  
end subroutine fglFogi
end interface
interface fglFogiv
subroutine  fglFogiv_array  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglFogiv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFogiv@8' :: fglFogiv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFogiv'   :: fglFogiv_array
!DEC$ENDIF
integer*4 pname  
integer*4 params (*)
end subroutine fglFogiv_array
subroutine  fglFogiv_ptr  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglFogiv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFogiv@8' :: fglFogiv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFogiv'   :: fglFogiv_ptr
!DEC$ENDIF
integer*4 pname  
integer*4 params  !Pointer to array
end subroutine fglFogiv_ptr
end interface fglFogiv
interface
subroutine  fglFrontFace  (mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglFrontFace
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFrontFace@4' :: fglFrontFace
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFrontFace'   :: fglFrontFace
!DEC$ENDIF
integer*4 mode  
end subroutine fglFrontFace
end interface
interface
subroutine  fglFrustum  (left ,right ,bottom ,top ,zNear ,zFar ) 
!DEC$ ATTRIBUTES DEFAULT :: fglFrustum
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glFrustum@48' :: fglFrustum
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glFrustum'    :: fglFrustum
!DEC$ENDIF
real*8 left  
real*8 right  
real*8 bottom  
real*8 top  
real*8 zNear  
real*8 zFar  
end subroutine fglFrustum
end interface
interface
integer(4) function  fglGenLists  (range ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGenLists
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGenLists@4' :: fglGenLists
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGenLists'   :: fglGenLists
!DEC$ENDIF
integer*4 range  
end function fglGenLists
end interface
interface
integer(4) function  fglGentextures  (n,textures)
!DEC$ ATTRIBUTES DEFAULT :: fglGentextures
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGenTextures@8' :: fglGenTextures
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGenTextures'   :: fglGenTextures
!DEC$ENDIF
integer*4 n ! GLsizei
integer(4) textures(*) ! Array of GLuint
end function fglGenTextures
end interface
interface fglGetBooleanv
subroutine  fglGetBooleanv_array  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetBooleanv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetBooleanv@8' :: fglGetBooleanv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetBooleanv'   :: fglGetBooleanv_array
!DEC$ENDIF
integer*4 pname  ! GLenum
integer*4 params(*)  ! Array of GLboolean
end subroutine fglGetBooleanv_array
! Old interface retained for compatibility
subroutine  fglGetBooleanv_ptr  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetBooleanv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetBooleanv@8' :: fglGetBooleanv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetBooleanv'   :: fglGetBooleanv_ptr
!DEC$ENDIF
integer*4 pname  ! GLenum
integer*4 params  ! Pointer to array of GLboolean
end subroutine fglGetBooleanv_ptr
end interface fglGetBooleanv
interface
subroutine  fglGetClipPlane  (plane ,equation ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetClipPlane
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetClipPlane@8' :: fglGetClipPlane
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetClipPlane'   :: fglGetClipPlane
!DEC$ENDIF
integer*4 plane  
integer*4 equation  
end subroutine fglGetClipPlane
end interface
interface
subroutine  fglGetDoublev  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetDoublev
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetDoublev@8' :: fglGetDoublev
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetDoublev'   :: fglGetDoublev
!DEC$ENDIF
integer*4 pname  
integer*4 params  
end subroutine fglGetDoublev
end interface
interface fglGetDoublev
subroutine  fglGetDoublev_array  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetDoublev_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetDoublev@8' :: fglGetDoublev_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetDoublev'   :: fglGetDoublev_array
!DEC$ENDIF
integer*4 pname  ! GLenum
real(8) params(*)  ! Array of GLDouble
end subroutine fglGetDoublev_array
! Old interface retained for compatibility
subroutine  fglGetDoublev_ptr  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetDoublev_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetDoublev@8' :: fglGetDoublev_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetDoublev'   :: fglGetDoublev_ptr
!DEC$ENDIF
integer*4 pname  ! GLenum
integer*4 params  ! Pointer to array of GLDouble
end subroutine fglGetDoublev_ptr
end interface fglGetDoublev
interface
integer(4) function  fglGetError  () 
!DEC$ ATTRIBUTES DEFAULT :: fglGetError
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetError@0' :: fglGetError
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetError'   :: fglGetError
!DEC$ENDIF
end function fglGetError
end interface
interface fglGetFloatv
subroutine  fglGetFloatv_array  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetFloatv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetFloatv@8' :: fglGetFloatv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetFloatv'   :: fglGetFloatv_array
!DEC$ENDIF
integer*4 pname  ! GLenum
real(4) params(*)  ! Array of GLFloat
end subroutine fglGetFloatv_array
! Old interface retained for compatibility
subroutine  fglGetFloatv_ptr  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetFloatv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetFloatv@8' :: fglGetFloatv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetFloatv'   :: fglGetFloatv_ptr
!DEC$ENDIF
integer*4 pname  ! GLenum
integer*4 params  ! Pointer to array of GLFloat
end subroutine fglGetFloatv_ptr
end interface fglGetFloatv
interface fglGetIntegerv
subroutine  fglGetIntegerv_array  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetIntegerv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetIntegerv@8' :: fglGetIntegerv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetIntegerv'   :: fglGetIntegerv_array
!DEC$ENDIF
integer*4 pname  ! GLenum
integer(4) params(*)  ! Array of GLInt
end subroutine fglGetIntegerv_array
! Old interface retained for compatibility
subroutine  fglGetIntegerv_ptr  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetIntegerv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetIntegerv@8' :: fglGetIntegerv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetIntegerv'   :: fglGetIntegerv_ptr
!DEC$ENDIF
integer*4 pname  ! GLenum
integer*4 params  ! Pointer to array of GLInt
end subroutine fglGetIntegerv_ptr
end interface fglGetIntegerv
interface fglGetLightfv
subroutine  fglGetLightfv_array  (light ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetLightfv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetLightfv@12' :: fglGetLightfv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetLightfv'    :: fglGetLightfv_array
!DEC$ENDIF
integer*4 light  ! GLenum
integer*4 pname  ! GLenum
real(4) params(*) ! Array of GLfloat
end subroutine fglGetLightfv_array
subroutine  fglGetLightfv_ptr  (light ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetLightfv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetLightfv@12' :: fglGetLightfv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetLightfv'    :: fglGetLightfv_ptr
!DEC$ENDIF
integer*4 light  
integer*4 pname  
integer*4 params  ! Pointer to array of GLfloat
end subroutine fglGetLightfv_ptr
end interface fglGetLightfv
interface fglGetLightiv
subroutine  fglGetLightiv_array  (light ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetLightiv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetLightiv@12' :: fglGetLightiv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetLightiv'    :: fglGetLightiv_array
!DEC$ENDIF
integer*4 light  ! GLenum
integer*4 pname  ! GLenum
integer(4) params(*) ! Array of GLint
end subroutine fglGetLightiv_array
subroutine  fglGetLightiv_ptr  (light ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetLightiv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetLightiv@12' :: fglGetLightiv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetLightiv'    :: fglGetLightiv_ptr
!DEC$ENDIF
integer*4 light  
integer*4 pname  
integer*4 params  ! Pointer to array of GLint
end subroutine fglGetLightiv_ptr
end interface fglGetLightiv
interface fglGetMapdv
subroutine  fglGetMapdv_array  (target ,query ,v ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetMapdv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetMapdv@12' :: fglGetMapdv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetMapdv'    :: fglGetMapdv_array
!DEC$ENDIF
integer*4 target ! GLenum 
integer*4 query  ! GLenum
real(8) v(*)  ! Array of GLdouble
end subroutine fglGetMapdv_array
subroutine  fglGetMapdv_ptr  (target ,query ,v ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetMapdv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetMapdv@12' :: fglGetMapdv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetMapdv'    :: fglGetMapdv_ptr
!DEC$ENDIF
integer*4 target  
integer*4 query  
integer*4 v  ! Pointer to array of GLdouble
end subroutine fglGetMapdv_ptr
end interface fglGetMapdv
interface fglGetMapfv
subroutine  fglGetMapfv_array  (target ,query ,v ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetMapfv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetMapfv@12' :: fglGetMapfv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetMapfv'    :: fglGetMapfv_array
!DEC$ENDIF
integer*4 target ! GLenum 
integer*4 query  ! GLenum
real(4) v(*)  ! Array of GLfloat
end subroutine fglGetMapfv_array
subroutine  fglGetMapfv_ptr  (target ,query ,v ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetMapfv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetMapfv@12' :: fglGetMapfv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetMapfv'    :: fglGetMapfv_ptr
!DEC$ENDIF
integer*4 target  
integer*4 query  
integer*4 v  ! Pointer to array of GLfloat
end subroutine fglGetMapfv_ptr
end interface fglGetMapfv
interface fglGetMapiv
subroutine  fglGetMapiv_array  (target ,query ,v ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetMapiv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetMapiv@12' :: fglGetMapiv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetMapiv'    :: fglGetMapiv_array
!DEC$ENDIF
integer*4 target ! GLenum 
integer*4 query  ! GLenum
integer(4) v(*)  ! Array of GLint
end subroutine fglGetMapiv_array
subroutine  fglGetMapiv_ptr  (target ,query ,v ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetMapiv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetMapiv@12' :: fglGetMapiv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetMapiv'    :: fglGetMapiv_ptr
!DEC$ENDIF
integer*4 target  
integer*4 query  
integer*4 v  ! Pointer to array of GLint
end subroutine fglGetMapiv_ptr
end interface fglGetMapiv
interface
subroutine  fglGetMaterialfv  (face ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetMaterialfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetMaterialfv@12' :: fglGetMaterialfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetMaterialfv'    :: fglGetMaterialfv
!DEC$ENDIF
integer*4 face  
integer*4 pname  
integer*4 params  
end subroutine fglGetMaterialfv
end interface
interface
subroutine  fglGetMaterialiv  (face ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetMaterialiv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetMaterialiv@12' :: fglGetMaterialiv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetMaterialiv'    :: fglGetMaterialiv
!DEC$ENDIF
integer*4 face  
integer*4 pname  
integer*4 params  
end subroutine fglGetMaterialiv
end interface
interface
subroutine  fglGetPixelMapfv  (map ,values ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetPixelMapfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetPixelMapfv@8' :: fglGetPixelMapfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetPixelMapfv'   :: fglGetPixelMapfv
!DEC$ENDIF
integer*4 map  
integer*4 values  
end subroutine fglGetPixelMapfv
end interface
interface
subroutine  fglGetPixelMapuiv  (map ,values ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetPixelMapuiv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetPixelMapuiv@8' :: fglGetPixelMapuiv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetPixelMapuiv'   :: fglGetPixelMapuiv
!DEC$ENDIF
integer*4 map  
integer*4 values  
end subroutine fglGetPixelMapuiv
end interface
interface
subroutine  fglGetPixelMapusv  (map ,values ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetPixelMapusv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetPixelMapusv@8' :: fglGetPixelMapusv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetPixelMapusv'   :: fglGetPixelMapusv
!DEC$ENDIF
integer*4 map  
integer*4 values  
end subroutine fglGetPixelMapusv
end interface
interface
subroutine  fglGetPointerv  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetPointerv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetPointerv@8' :: fglGetPointer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetPointerv'   :: fglGetPointerv
!DEC$ENDIF
integer*4 pname  ! GLenum
real(8) params(*)  ! Array of GLPointer
end subroutine fglGetPointerv
end interface
interface
subroutine  fglGetPolygonStipple  (mask ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetPolygonStipple
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetPolygonStipple@4' :: fglGetPolygonStipple
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetPolygonStipple'   :: fglGetPolygonStipple
!DEC$ENDIF
integer*4 mask  
end subroutine fglGetPolygonStipple
end interface
interface
integer*4 function fglGetString (name) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetString
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetString@4' :: fglGetString
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetString'   :: fglGetString
!DEC$ENDIF
integer*4      name
end function fglGetString
end interface
interface
subroutine  fglGetTexEnvfv  (target ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexEnvfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexEnvfv@12' :: fglGetTexEnvfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexEnvfv'    :: fglGetTexEnvfv
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer*4 params  
end subroutine fglGetTexEnvfv
end interface
interface
subroutine  fglGetTexEnviv  (target ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexEnviv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexEnviv@12' :: fglGetTexEnviv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexEnviv'    :: fglGetTexEnviv
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer*4 params  
end subroutine fglGetTexEnviv
end interface
interface
subroutine  fglGetTexGendv  (coord ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexGendv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexGendv@12' :: fglGetTexGendv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexGendv'    :: fglGetTexGendv
!DEC$ENDIF
integer*4 coord  
integer*4 pname  
integer*4 params  
end subroutine fglGetTexGendv
end interface
interface
subroutine  fglGetTexGenfv  (coord ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexGenfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexGenfv@12' :: fglGetTexGenfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexGenfv'    :: fglGetTexGenfv
!DEC$ENDIF
integer*4 coord  
integer*4 pname  
integer*4 params  
end subroutine fglGetTexGenfv
end interface
interface
subroutine  fglGetTexGeniv  (coord ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexGeniv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexGeniv@12' :: fglGetTexGeniv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexGeniv'    :: fglGetTexGeniv
!DEC$ENDIF
integer*4 coord  
integer*4 pname  
integer*4 params  
end subroutine fglGetTexGeniv
end interface
interface
subroutine  fglGetTexImage  (target ,level ,format ,type ,pixels ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexImage
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexImage@20' :: fglGetTexImage
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexImage'    :: fglGetTexImage
!DEC$ENDIF
integer*4 target  
integer*4 level  
integer*4 format  
integer*4 type  
integer*4 pixels  
end subroutine fglGetTexImage
end interface
interface
subroutine  fglGetTexLevelParameterfv  (target ,level ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexLevelParameterfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexLevelParameterfv@16' :: fglGetTexLevelParameterfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexLevelParameterfv'    :: fglGetTexLevelParameterfv
!DEC$ENDIF
integer*4 target  
integer*4 level  
integer*4 pname  
integer*4 params  
end subroutine fglGetTexLevelParameterfv
end interface
interface
subroutine  fglGetTexLevelParameteriv  (target ,level ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexLevelParameteriv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexLevelParameteriv@16' :: fglGetTexLevelParameteriv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexLevelParameteriv'    :: fglGetTexLevelParameteriv
!DEC$ENDIF
integer*4 target  
integer*4 level  
integer*4 pname  
integer*4 params  
end subroutine fglGetTexLevelParameteriv
end interface
interface
subroutine  fglGetTexParameterfv  (target ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexParameterfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexParameterfv@12' :: fglGetTexParameterfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexParameterfv'    :: fglGetTexParameterfv
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer*4 params  
end subroutine fglGetTexParameterfv
end interface
interface
subroutine  fglGetTexParameteriv  (target ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglGetTexParameteriv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glGetTexParameteriv@12' :: fglGetTexParameteriv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glGetTexParameteriv'    :: fglGetTexParameteriv
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer*4 params  
end subroutine fglGetTexParameteriv
end interface
interface
subroutine  fglHint  (target ,mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglHint
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glHint@8' :: fglHint
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glHint'   :: fglHint
!DEC$ENDIF
integer*4 target  
integer*4 mode  
end subroutine fglHint
end interface
interface 
subroutine  fglIndexd  (c ) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexd
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexd@8' :: fglIndexd
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexd'   :: fglIndexd
!DEC$ENDIF
real(8), intent(in) :: c  
end subroutine fglIndexd
end interface
interface fglIndexdv
subroutine  fglIndexdv_array  (c) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexdv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexdv@4' :: fglIndexdv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexdv'   :: fglIndexdv_array
!DEC$ENDIF
real(8), dimension(1), intent(in) :: c
end subroutine fglIndexdv_array
subroutine  fglIndexdv_old  (c) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexdv_old
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexdv@4' :: fglIndexdv_old
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexdv'   :: fglIndexdv_old
!DEC$ENDIF
integer(4)   c  ! Pointer to array
end subroutine fglIndexdv_old
end interface
interface
subroutine  fglIndexf  (c ) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexf@4' :: fglIndexf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexf'   :: fglIndexf
!DEC$ENDIF
real(4),intent(in) :: c  
end subroutine fglIndexf
end interface
interface fglIndexfv
subroutine  fglIndexfv_array  (c) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexfv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexfv@4' :: fglIndexfv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexfv'   :: fglIndexfv_array
!DEC$ENDIF
real(4),dimension(1),intent(in) ::   c  
end subroutine fglIndexfv_array
subroutine  fglIndexfv_old  (c) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexfv_old
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexfv@4' :: fglIndexfv_old
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexfv'   :: fglIndexfv_old
!DEC$ENDIF
integer(4)   c  ! pointer to array
end subroutine fglIndexfv_old
end interface
interface
subroutine  fglIndexi  (c ) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexi
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexi@4' :: fglIndexi
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexi'   :: fglIndexi
!DEC$ENDIF
integer*4 c  
end subroutine fglIndexi
end interface
interface fglIndexiv
subroutine  fglIndexiv_array  (c) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexiv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexiv@4' :: fglIndexiv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexiv'   :: fglIndexiv_array
!DEC$ENDIF
integer(4),dimension(1),intent(in) :: c  
end subroutine fglIndexiv_array
subroutine  fglIndexiv_old  (c) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexiv_old
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexiv@4' :: fglIndexiv_old
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexiv'   :: fglIndexiv_old
!DEC$ENDIF
integer*4 c  ! pointer to array
end subroutine fglIndexiv_old
end interface
INTERFACE
SUBROUTINE  fglIndexs  (c ) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexs
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexs@4' :: fglIndexs
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexs'   :: fglIndexs
!DEC$ENDIF
INTEGER(K_GLshort), INTENT(IN) :: c  
END SUBROUTINE fglIndexs
END INTERFACE
interface fglIndexsv
subroutine  fglIndexsv_array  (c) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexsv_array
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexsv@4' :: fglIndexsv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexsv'   :: fglIndexsv_array
!DEC$ENDIF
integer(K_GLshort),dimension(1),intent(in) ::  c  
end subroutine fglIndexsv_array
subroutine  fglIndexsv_old  (c) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexsv_old
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexsv@4' :: fglIndexsv_old
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexsv'   :: fglIndexsv_old
!DEC$ENDIF
integer*4 c  ! pointer to array
end subroutine fglIndexsv_old
end interface
INTERFACE
SUBROUTINE  fglIndexub  (c ) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexub
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexub@4' :: fglIndexub
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexub'   :: fglIndexub
!DEC$ENDIF
INTEGER(K_GLubyte), INTENT(IN) :: c  
END SUBROUTINE fglIndexub
END INTERFACE
INTERFACE
SUBROUTINE  fglIndexubv  (c) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexubv
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexubv@4' :: fglIndexubv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexubv'   :: fglIndexubv
!DEC$ENDIF
INTEGER(K_GLubyte),DIMENSION(1),INTENT(IN) :: c
END SUBROUTINE fglIndexubv
END INTERFACE
interface
subroutine  fglIndexMask  (mask ) 
!DEC$ ATTRIBUTES DEFAULT :: fglIndexMask
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexMask@4' :: fglIndexMask
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexMask'   :: fglIndexMask
!DEC$ENDIF
integer*4 mask  
end subroutine fglIndexMask
end interface
INTERFACE
SUBROUTINE fglIndexPointer (type,stride,pointer)
!DEC$ ATTRIBUTES DEFAULT :: fglIndexPointer
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIndexPointer@12' :: fglIndexPointer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIndexPointer'   :: fglIndexPointer
!DEC$ENDIF
INTEGER(K_GLenum), INTENT(IN) :: type
INTEGER(K_GLsizei), INTENT(IN) ::  stride
INTEGER(K_GLvoid), INTENT(IN) :: pointer ! Pointer to color index array - use %LOC
END SUBROUTINE fglIndexPointer
END INTERFACE
interface
subroutine  fglInitNames  () 
!DEC$ ATTRIBUTES DEFAULT :: fglInitNames
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glInitNames@0' :: fglInitNames
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glInitNames'   :: fglInitNames
!DEC$ENDIF
end subroutine fglInitNames
end interface
INTERFACE 
SUBROUTINE fglInterleavedArrays (format, stride, pointer)
!DEC$ ATTRIBUTES DEFAULT :: fglInterleavedArrays
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glInterleavedArrays@12' :: fglInterleavedArrays
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glInterleavedArrays'   :: fglInterleavedArrays
!DEC$ENDIF
INTEGER(K_GLenum), INTENT(IN) :: format
INTEGER(K_GLsizei), INTENT(IN) :: stride
INTEGER(K_GLvoid), INTENT(IN) :: pointer
END SUBROUTINE fglInterleavedArrays
END INTERFACE
interface
logical(4) function  fglIsEnabled  (cap ) 
!DEC$ ATTRIBUTES DEFAULT :: fglIsEnabled
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIsEnabled@4' :: fglIsEnabled
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIsEnabled'   :: fglIsEnabled
!DEC$ENDIF
integer*4 cap  
end function fglIsEnabled
end interface
interface
logical(4) function  fglIsList  (list ) 
!DEC$ ATTRIBUTES DEFAULT :: fglIsList
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIsList@4' :: fglIsList
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIsList'   :: fglIsList
!DEC$ENDIF
integer*4 list  
end function fglIsList
end interface
INTERFACE
SUBROUTINE fglIsTexture (texture)
!DEC$ ATTRIBUTES DEFAULT :: fglIsTexture
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glIsTexture@4' :: fglIsTexture
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glIsTexture'   :: fglIsTexture
!DEC$ENDIF
INTEGER(K_GLuint), INTENT(IN) :: texture
END SUBROUTINE fglIsTexture
END INTERFACE
interface
subroutine  fglLightModelf  (pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLightModelf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLightModelf@8' :: fglLightModelf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLightModelf'   :: fglLightModelf
!DEC$ENDIF
integer*4 pname  
real*4 param  
end subroutine fglLightModelf
end interface
interface
subroutine  fglLightModelfv  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLightModelfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLightModelfv@8' :: fglLightModelfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLightModelfv'   :: fglLightModelfv
!DEC$ENDIF
integer*4 pname  
integer(4)   params  
end subroutine fglLightModelfv
end interface
interface
subroutine  fglLightModeli  (pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLightModeli
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLightModeli@8' :: fglLightModeli
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLightModeli'   :: fglLightModeli
!DEC$ENDIF
integer*4 pname  
integer*4 param  
end subroutine fglLightModeli
end interface
interface
subroutine  fglLightModeliv  (pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLightModeliv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLightModeliv@8' :: fglLightModeliv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLightModeliv'   :: fglLightModeliv
!DEC$ENDIF
integer*4 pname  
integer*4 params  
end subroutine fglLightModeliv
end interface
interface
subroutine  fglLightf  (light ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLightf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLightf@12' :: fglLightf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLightf'    :: fglLightf
!DEC$ENDIF
integer*4 light  
integer*4 pname  
real*4 param  
end subroutine fglLightf
end interface
interface
subroutine  fglLightfv  (light ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLightfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLightfv@12' :: fglLightfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLightfv'    :: fglLightfv
!DEC$ENDIF
integer*4 light  
integer*4 pname  
integer(4)   params  
end subroutine fglLightfv
end interface
interface
subroutine  fglLighti  (light ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLighti
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLighti@12' :: fglLighti
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLighti'    :: fglLighti
!DEC$ENDIF
integer*4 light  
integer*4 pname  
integer*4 param  
end subroutine fglLighti
end interface
interface
subroutine  fglLightiv  (light ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLightiv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLightiv@12' :: fglLightiv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLightiv'    :: fglLightiv
!DEC$ENDIF
integer*4 light  
integer*4 pname  
integer*4 params  
end subroutine fglLightiv
end interface
interface
subroutine  fglLineStipple  (factor ,pattern ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLineStipple
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLineStipple@8' :: fglLineStipple
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLineStipple'   :: fglLineStipple
!DEC$ENDIF
integer*4 factor  
integer*2 pattern  
end subroutine fglLineStipple
end interface
interface
subroutine  fglLineWidth  (width ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLineWidth
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLineWidth@4' :: fglLineWidth
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLineWidth'   :: fglLineWidth
!DEC$ENDIF
real*4 width  
end subroutine fglLineWidth
end interface
interface
subroutine  fglListBase  (base ) 
!DEC$ ATTRIBUTES DEFAULT :: fglListBase
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glListBase@4' :: fglListBase
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glListBase'   :: fglListBase
!DEC$ENDIF
integer*4 base  
end subroutine fglListBase
end interface
interface
subroutine  fglLoadIdentity  () 
!DEC$ ATTRIBUTES DEFAULT :: fglLoadIdentity
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLoadIdentity@0' :: fglLoadIdentity
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLoadIdentity'   :: fglLoadIdentity
!DEC$ENDIF
end subroutine fglLoadIdentity
end interface
interface
subroutine  fglLoadMatrixd  (m ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLoadMatrixd
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLoadMatrixd@4' :: fglLoadMatrixd
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLoadMatrixd'   :: fglLoadMatrixd
!DEC$ENDIF
integer(4)  m  
end subroutine fglLoadMatrixd
end interface
interface
subroutine  fglLoadMatrixf  (m ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLoadMatrixf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLoadMatrixf@4' :: fglLoadMatrixf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLoadMatrixf'   :: fglLoadMatrixf
!DEC$ENDIF
integer(4) m  
end subroutine fglLoadMatrixf
end interface
interface
subroutine  fglLoadName  (name ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLoadName
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLoadName@4' :: fglLoadName
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLoadName'   :: fglLoadName
!DEC$ENDIF
integer*4 name  
end subroutine fglLoadName
end interface
interface
subroutine  fglLogicOp  (opcode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglLogicOp
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glLogicOp@4' :: fglLogicOp
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glLogicOp'   :: fglLogicOp
!DEC$ENDIF
integer*4 opcode  
end subroutine fglLogicOp
end interface
interface
subroutine fglMap1d (target, u1, u2, stride, order, points)
!DEC$ ATTRIBUTES DEFAULT :: fglMap1d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMap1d@32' :: fglMap1d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMap1d'    :: fglMap1d
!DEC$ENDIF
integer*4   target
real*8      u1
real*8      u2
integer*4   stride
integer*4   order
integer*4   points
end subroutine fglMap1d
end interface
interface
subroutine fglMap1f (target, u1, u2, stride, order, points)
!DEC$ ATTRIBUTES DEFAULT :: fglMap1f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMap1f@24' :: fglMap1f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMap1f'    :: fglMap1f
!DEC$ENDIF
integer*4   target
real*4      u1
real*4      u2
integer*4   stride
integer*4   order
integer(4)  points
end subroutine fglMap1f
end interface
interface
subroutine fglMap2d (target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points)
!DEC$ ATTRIBUTES DEFAULT :: fglMap2d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMap2d@56' :: fglMap2d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMap2d'    :: fglMap2d
!DEC$ENDIF
integer*4 target 
real*8      u1
real*8      u2
integer*4   ustride
integer*4   uorder
real*8      v1
real*8      v2
integer*4   vstride
integer*4   vorder
integer*4   points
end subroutine fglMap2d
end interface
interface
subroutine fglMap2f (target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points)
!DEC$ ATTRIBUTES DEFAULT :: fglMap2f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMap2f@40' :: fglMap2f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMap2f'    :: fglMap2f
!DEC$ENDIF
integer*4 target 
real*4 u1
real*4 u2
integer*4 ustride
integer*4 uorder
real*4 v1
real*4 v2
integer*4 vstride
integer*4 vorder
integer*4 points
end subroutine fglMap2f
end interface
interface
subroutine fglMapGrid1d (un, u1, u2)
!DEC$ ATTRIBUTES DEFAULT :: fglMapGrid1d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMapGrid1d@20' :: fglMapGrid1d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMapGrid1d'    :: fglMapGrid1d
!DEC$ENDIF
integer*4 un 
real*8 u1
real*8 u2
end subroutine fglMapGrid1d
end interface
interface
subroutine fglMapGrid1f (un, u1, u2)
!DEC$ ATTRIBUTES DEFAULT :: fglMapGrid1f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMapGrid1f@12' :: fglMapGrid1f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMapGrid1f'    :: fglMapGrid1f
!DEC$ENDIF
integer*4 un 
real*4 u1
real*4 u2
end subroutine fglMapGrid1f
end interface
interface
subroutine fglMapGrid2d (un, u1, u2, vn, v1, v2)
!DEC$ ATTRIBUTES DEFAULT :: fglMapGrid2d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMapGrid2d@40' :: fglMapGrid2d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMapGrid2d'    :: fglMapGrid2d
!DEC$ENDIF
integer*4 un
real*8 u1
real*8 u2
integer*4 vn
real*8 v1
real*8 v2
end subroutine fglMapGrid2d
end interface
interface
subroutine fglMapGrid2f (un, u1, u2, vn, v1, v2)
!DEC$ ATTRIBUTES DEFAULT :: fglMapGrid2f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMapGrid2f@24' :: fglMapGrid2f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMapGrid2f'    :: fglMapGrid2f
!DEC$ENDIF
integer*4 un
real*4 u1
real*4 u2
integer*4 vn
real*4 v1
real*4 v2
end subroutine fglMapGrid2f
end interface
interface
subroutine  fglMaterialf  (face ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglMaterialf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMaterialf@12' :: fglMaterialf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMaterialf'    :: fglMaterialf
!DEC$ENDIF
integer*4 face  
integer*4 pname  
real*4 param  
end subroutine fglMaterialf
end interface
interface
subroutine  fglMaterialfv  (face ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglMaterialfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMaterialfv@12' :: fglMaterialfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMaterialfv'    :: fglMaterialfv
!DEC$ENDIF
integer*4 face  
integer*4 pname  
integer*4 params  
end subroutine fglMaterialfv
end interface
interface
subroutine  fglMateriali  (face ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglMateriali
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMateriali@12' :: fglMateriali
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMateriali'    :: fglMateriali
!DEC$ENDIF
integer*4 face  
integer*4 pname  
integer*4 param  
end subroutine fglMateriali
end interface
	     
interface
subroutine  fglMaterialiv  (face ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglMaterialiv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMaterialiv@12' :: fglMaterialiv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMaterialiv'    :: fglMaterialiv
!DEC$ENDIF
integer*4 face  
integer*4 pname  
integer*4 params  
end subroutine fglMaterialiv
end interface
interface
subroutine  fglMatrixMode  (mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglMatrixMode
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMatrixMode@4' :: fglMatrixMode
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMatrixMode'   :: fglMatrixMode
!DEC$ENDIF
integer*4 mode  
end subroutine fglMatrixMode
end interface
	     
interface
subroutine  fglMultMatrixd  (m ) 
!DEC$ ATTRIBUTES DEFAULT :: fglMultMatrixd
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMultMatrixd@4' :: fglMultMatrixd
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMultMatrixd'   :: fglMultMatrixd
!DEC$ENDIF
integer(4) m  
end subroutine fglMultMatrixd
end interface
	     
interface
subroutine  fglMultMatrixf  (m ) 
!DEC$ ATTRIBUTES DEFAULT :: fglMultMatrixf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glMultMatrixf@4' :: fglMultMatrixf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glMultMatrixf'   :: fglMultMatrixf
!DEC$ENDIF
integer(4) m  
end subroutine fglMultMatrixf
end interface
	     
interface
subroutine  fglNewList  (list ,mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglNewList
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNewList@8' :: fglNewList
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNewList'   :: fglNewList
!DEC$ENDIF
integer*4 list  
integer*4 mode  
end subroutine fglNewList
end interface
	     
interface
subroutine fglNormal3b (nx, ny, nz)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3b
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3b@12' :: fglNormal3b
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3b'    :: fglNormal3b
!DEC$ENDIF
integer(1) nx 
integer(1) ny
integer(1) nz
end subroutine fglNormal3b
end interface
interface fglNormal3bv
subroutine fglNormal3bv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3bv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3bv@4' :: fglNormal3bv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3bv'  :: fglNormal3bv_array
!DEC$ENDIF
integer(1) v(3)
end subroutine fglNormal3bv_array
subroutine fglNormal3bv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3bv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3bv@4' :: fglNormal3bv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3bv'  :: fglNormal3bv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglNormal3bv_ptr
end interface fglNormal3bv
interface
subroutine fglNormal3d (nx, ny, nz)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3d@24' :: fglNormal3d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3d'    :: fglNormal3d
!DEC$ENDIF
real*8 nx
real*8 ny
real*8 nz
end subroutine fglNormal3d
end interface
interface fglNormal3dv
subroutine fglNormal3dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3dv@4' :: fglNormal3dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3dv'   :: fglNormal3dv_array
!DEC$ENDIF
real(8) v(3)
end subroutine fglNormal3dv_array
subroutine fglNormal3dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3dv@4' :: fglNormal3dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3dv'   :: fglNormal3dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglNormal3dv_ptr
end interface fglNormal3dv
interface
subroutine fglNormal3f (nx, ny, nz)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3f@12' :: fglNormal3f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3f'    :: fglNormal3f
!DEC$ENDIF
real*4 nx
real*4 ny
real*4 nz
end subroutine fglNormal3f
end interface
interface fglNormal3fv
subroutine fglNormal3fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3fv@4' :: fglNormal3fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3fv'   :: fglNormal3fv_array
!DEC$ENDIF
real(4)     v (3)
end subroutine fglNormal3fv_array
subroutine fglNormal3fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3fv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3fv@4' :: fglNormal3fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3fv'   :: fglNormal3fv_ptr
!DEC$ENDIF
integer(4)     v
end subroutine fglNormal3fv_ptr
end interface fglNormal3fv
interface
subroutine fglNormal3i (nx, ny, nz)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3i@12' :: fglNormal3i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3i'    :: fglNormal3i
!DEC$ENDIF
integer*4 nx 
integer*4 ny
integer*4 nz
end subroutine fglNormal3i
end interface
interface fglNormal3iv
subroutine fglNormal3iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3iv@4' :: fglNormal3iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3iv'   :: fglNormal3iv_array
!DEC$ENDIF
integer(4)     v(3)
end subroutine fglNormal3iv_array
! old incorrect interface retained for compatibility
subroutine fglNormal3iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3iv_ptr
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3iv@4' :: fglNormal3iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3iv'   :: fglNormal3iv_ptr
!DEC$ENDIF
integer(4)     v        ! pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglNormal3iv_ptr
end interface fglNormal3iv
interface
subroutine fglNormal3s (nx, ny, nz)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3s@12' :: fglNormal3s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3s'    :: fglNormal3s
!DEC$ENDIF
integer*2 nx
integer*2 ny 
integer*2 nz
end subroutine fglNormal3s
end interface
interface fglNormal3sv
subroutine fglNormal3sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3sv@4' :: fglNormal3sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3sv'  :: fglNormal3sv_array
!DEC$ENDIF
integer(2) v(3)
end subroutine fglNormal3sv_array
subroutine fglNormal3sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglNormal3sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormal3sv@4' :: fglNormal3sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormal3sv'  :: fglNormal3sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglNormal3sv_ptr
end interface fglNormal3sv
INTERFACE
SUBROUTINE fglNormalPointer (type, stride, pointer)
!DEC$ ATTRIBUTES DEFAULT :: fglNormalPointer
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glNormalPointer@12' :: fglNormalPointer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glNormalPointer'   :: fglNormalPointer
!DEC$ENDIF
INTEGER(K_GLenum), INTENT(IN) :: type
INTEGER(K_GLsizei), INTENT(IN) :: stride
INTEGER(K_GLvoid), INTENT(IN) :: pointer ! Pointer to array of normals
END SUBROUTINE fglNormalPointer
END INTERFACE
interface
subroutine  fglOrtho  (left ,right ,bottom ,top ,zNear ,zFar ) 
!DEC$ ATTRIBUTES DEFAULT :: fglOrtho
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glOrtho@48' :: fglOrtho
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glOrtho'    :: fglOrtho
!DEC$ENDIF
real*8 left  
real*8 right  
real*8 bottom  
real*8 top  
real*8 zNear  
real*8 zFar  
end subroutine fglOrtho
end interface
interface
subroutine  fglPassThrough  (token ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPassThrough
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPassThrough@4' :: fglPassThrough
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPassThrough'   :: fglPassThrough
!DEC$ENDIF
real*4 token  
end subroutine fglPassThrough
end interface
interface
subroutine  fglPixelMapfv  (map ,mapsize ,values ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPixelMapfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPixelMapfv@12' :: fglPixelMapfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPixelMapfv'    :: fglPixelMapfv
!DEC$ENDIF
integer*4 map  
integer*4 mapsize  
integer(4)   values  
end subroutine fglPixelMapfv
end interface
	     
interface
subroutine  fglPixelMapuiv  (map ,mapsize ,values ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPixelMapuiv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPixelMapuiv@12' :: fglPixelMapuiv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPixelMapuiv'    :: fglPixelMapuiv
!DEC$ENDIF
integer*4 map  
integer*4 mapsize  
integer*4 values  
end subroutine fglPixelMapuiv
end interface
	     
interface
subroutine  fglPixelMapusv  (map ,mapsize ,values ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPixelMapusv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPixelMapusv@12' :: fglPixelMapusv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPixelMapusv'    :: fglPixelMapusv
!DEC$ENDIF
integer*4 map  
integer*4 mapsize  
integer(4)  values  
end subroutine fglPixelMapusv
end interface
interface
subroutine  fglPixelStoref  (pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPixelStoref
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPixelStoref@8' :: fglPixelStoref
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPixelStoref'   :: fglPixelStoref
!DEC$ENDIF
integer*4 pname  
real*4 param  
end subroutine fglPixelStoref
end interface
interface
subroutine  fglPixelStorei  (pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPixelStorei
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPixelStorei@8' :: fglPixelStorei
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPixelStorei'   :: fglPixelStorei
!DEC$ENDIF
integer*4 pname  
integer*4 param  
end subroutine fglPixelStorei
end interface
interface
subroutine  fglPixelTransferf  (pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPixelTransferf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPixelTransferf@8' :: fglPixelTransferf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPixelTransferf'   :: fglPixelTransferf
!DEC$ENDIF
integer*4 pname  
real*4 param  
end subroutine fglPixelTransferf
end interface
interface
subroutine  fglPixelTransferi  (pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPixelTransferi
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPixelTransferi@8' :: fglPixelTransferi
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPixelTransferi'   :: fglPixelTransferi
!DEC$ENDIF
integer*4 pname  
integer*4 param  
end subroutine fglPixelTransferi
end interface
interface
subroutine  fglPixelZoom  (xfactor ,yfactor ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPixelZoom
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPixelZoom@8' :: fglPixelZoom
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPixelZoom'   :: fglPixelZoom
!DEC$ENDIF
real*4 xfactor  
real*4 yfactor  
end subroutine fglPixelZoom
end interface
interface
subroutine  fglPointSize  (size ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPointSize
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPointSize@4' :: fglPointSize
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPointSize'   :: fglPointSize
!DEC$ENDIF
real*4 size  
end subroutine fglPointSize
end interface
interface
subroutine  fglPolygonMode  (face ,mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPolygonMode
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPolygonMode@8' :: fglPolygonMode
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPolygonMode'   :: fglPolygonMode
!DEC$ENDIF
integer*4 face  
integer*4 mode  
end subroutine fglPolygonMode
end interface
INTERFACE
SUBROUTINE fglPolygonOffset (factor, units)
!DEC$ ATTRIBUTES DEFAULT :: fglPolygonOffset
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPolygonOffset@8' :: fglPolygonOffset
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPolygonOffset'   :: fglPolygonOffset
!DEC$ENDIF
REAL(K_GLfloat), INTENT(IN) :: factor
REAL(K_GLfloat), INTENT(IN) :: units
END SUBROUTINE fglPolygonOffset
END INTERFACE
interface
subroutine  fglPolygonStipple  (mask ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPolygonStipple
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPolygonStipple@4' :: fglPolygonStipple
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPolygonStipple'   :: fglPolygonStipple
!DEC$ENDIF
integer(4)  mask  
end subroutine fglPolygonStipple
end interface
interface
subroutine  fglPopAttrib  () 
!DEC$ ATTRIBUTES DEFAULT :: fglPopAttrib
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPopAttrib@0' :: fglPopAttrib
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPopAttrib'   :: fglPopAttrib
!DEC$ENDIF
end subroutine fglPopAttrib
end interface
INTERFACE
SUBROUTINE  fglPopClientAttrib
!DEC$ ATTRIBUTES DEFAULT :: fglPopClientAttrib
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPopClientAttrib@0' :: fglPopClientAttrib
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPopClientAttrib'   :: fglPopClientAttrib
!DEC$ENDIF
END SUBROUTINE fglPopClientAttrib
END INTERFACE
interface
subroutine  fglPopMatrix  () 
!DEC$ ATTRIBUTES DEFAULT :: fglPopMatrix
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPopMatrix@0' :: fglPopMatrix
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPopMatrix'   :: fglPopMatrix
!DEC$ENDIF
end subroutine fglPopMatrix
end interface
interface
subroutine  fglPopName  () 
!DEC$ ATTRIBUTES DEFAULT :: fglPopName
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPopName@0' :: fglPopName
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPopName'   :: fglPopName
!DEC$ENDIF
end subroutine fglPopName
end interface
INTERFACE
SUBROUTINE fglPrioritizeTextures (n, textures, priorities)
!DEC$ ATTRIBUTES DEFAULT :: fglPrioritizeTextures
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPrioritizeTextures@12' :: fglPrioritizeTextures
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPrioritizeTextures'   :: fglPrioritizeTextures
!DEC$ENDIF
INTEGER(K_GLsizei), INTENT(IN) :: n
INTEGER(K_GLuint), DIMENSION(*), INTENT(IN) :: textures
REAL(K_GLclampf), DIMENSION(*), INTENT(IN) :: priorities
END SUBROUTINE fglPrioritizeTextures
END INTERFACE
interface
subroutine  fglPushAttrib  (mask ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPushAttrib
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPushAttrib@4' :: fglPushAttrib
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPushAttrib'   :: fglPushAttrib
!DEC$ENDIF
integer*4 mask  
end subroutine fglPushAttrib
end interface
INTERFACE
SUBROUTINE  fglPushClientAttrib (mask)
!DEC$ ATTRIBUTES DEFAULT :: fglPushClientAttrib
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPushClientAttrib@4' :: fglPushClientAttrib
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPushClientAttrib'   :: fglPushClientAttrib
!DEC$ENDIF
INTEGER(K_GLbitfield), INTENT(IN) :: mask
END SUBROUTINE fglPushClientAttrib
END INTERFACE
interface
subroutine  fglPushMatrix  () 
!DEC$ ATTRIBUTES DEFAULT :: fglPushMatrix
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPushMatrix@0' :: fglPushMatrix
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPushMatrix'   :: fglPushMatrix
!DEC$ENDIF
end subroutine fglPushMatrix
end interface
interface
subroutine  fglPushName  (name ) 
!DEC$ ATTRIBUTES DEFAULT :: fglPushName
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glPushName@4' :: fglPushName
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glPushName'   :: fglPushName
!DEC$ENDIF
integer*4 name  
end subroutine fglPushName
end interface
interface
subroutine fglRasterPos2d (x, y)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2d@16' :: fglRasterPos2d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2d'    :: fglRasterPos2d
!DEC$ENDIF
real*8 x 
real*8 y
end subroutine fglRasterPos2d
end interface
interface fglRasterPos2dv
subroutine fglRasterPos2dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2dv@4' :: fglRasterPos2dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2dv'   :: fglRasterPos2dv_array
!DEC$ENDIF
real(8) v(2)
end subroutine fglRasterPos2dv_array
subroutine fglRasterPos2dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2dv@4' :: fglRasterPos2dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2dv'   :: fglRasterPos2dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos2dv_ptr
end interface fglRasterPos2dv
interface
subroutine fglRasterPos2f (x, y)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2f@8' :: fglRasterPos2f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2f'   :: fglRasterPos2f
!DEC$ENDIF
real*4 x 
real*4 y
end subroutine fglRasterPos2f
end interface
interface fglRasterPos2fv
subroutine fglRasterPos2fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2fv@4' :: fglRasterPos2fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2fv'   :: fglRasterPos2fv_array
!DEC$ENDIF
real(4) v(2)
end subroutine fglRasterPos2fv_array
subroutine fglRasterPos2fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2fv@4' :: fglRasterPos2fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2fv'   :: fglRasterPos2fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos2fv_ptr
end interface fglRasterPos2fv
interface
subroutine fglRasterPos2i (x, y)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2i@8' :: fglRasterPos2i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2i'   :: fglRasterPos2i
!DEC$ENDIF
integer*4 x
integer*4 y
end subroutine fglRasterPos2i
end interface
interface fglRasterPos2iv
subroutine fglRasterPos2iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2iv@4' :: fglRasterPos2iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2iv'  :: fglRasterPos2iv_array
!DEC$ENDIF
integer(4) v(2)
end subroutine fglRasterPos2iv_array
subroutine fglRasterPos2iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2iv@4' :: fglRasterPos2iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2iv'  :: fglRasterPos2iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos2iv_ptr
end interface fglRasterPos2iv
interface
subroutine fglRasterPos2s (x, y)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2s@8' :: fglRasterPos2s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2s'   :: fglRasterPos2s
!DEC$ENDIF
integer*2 x 
integer*2 y
end subroutine fglRasterPos2s
end interface
interface fglRasterPos2sv
subroutine fglRasterPos2sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2sv@4' :: fglRasterPos2sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2sv'   :: fglRasterPos2sv_array
!DEC$ENDIF
integer(2) v(2)
end subroutine fglRasterPos2sv_array
subroutine fglRasterPos2sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos2sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos2sv@4' :: fglRasterPos2sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos2sv'   :: fglRasterPos2sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos2sv_ptr
end interface fglRasterPos2sv
interface
subroutine fglRasterPos3d (x, y, z)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3d@24' :: fglRasterPos3d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3d'    :: fglRasterPos3d
!DEC$ENDIF
real(8)  x
real(8)  y
real(8)  z
end subroutine fglRasterPos3d
end interface
interface fglRasterPos3dv
subroutine fglRasterPos3dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3dv@4' :: fglRasterPos3dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3dv'   :: fglRasterPos3dv_array
!DEC$ENDIF
real(8) v(3)
end subroutine fglRasterPos3dv_array
subroutine fglRasterPos3dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3dv@4' :: fglRasterPos3dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3dv'   :: fglRasterPos3dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos3dv_ptr
end interface fglRasterPos3dv
interface
subroutine fglRasterPos3f (x, y, z)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3f@12' :: fglRasterPos3f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3f'    :: fglRasterPos3f
!DEC$ENDIF
real*4 x
real*4 y
real*4 z
end subroutine fglRasterPos3f
end interface
interface fglRasterPos3fv
subroutine fglRasterPos3fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3fv@4' :: fglRasterPos3fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3fv'   :: fglRasterPos3fv_array
!DEC$ENDIF
real(4) v(3)
end subroutine fglRasterPos3fv_array
subroutine fglRasterPos3fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3fv@4' :: fglRasterPos3fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3fv'   :: fglRasterPos3fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos3fv_ptr
end interface fglRasterPos3fv
interface
subroutine fglRasterPos3i (x, y, z)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3i@12' :: fglRasterPos3i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3i'    :: fglRasterPos3i
!DEC$ENDIF
integer*4 x
integer*4 y
integer*4 z
end subroutine fglRasterPos3i
end interface
interface fglRasterPos3iv
subroutine fglRasterPos3iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3iv@4' :: fglRasterPos3iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3iv'   :: fglRasterPos3iv_array
!DEC$ENDIF
integer(4) v(3)
end subroutine fglRasterPos3iv_array
subroutine fglRasterPos3iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3iv@4' :: fglRasterPos3iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3iv'   :: fglRasterPos3iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos3iv_ptr
end interface fglRasterPos3iv
interface
subroutine fglRasterPos3s (x, y, z)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3s@12' :: fglRasterPos3s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3s'    :: fglRasterPos3s
!DEC$ENDIF
integer*2 x
integer*2 y
integer*2 z
end subroutine fglRasterPos3s
end interface
interface fglRasterPos3sv
subroutine fglRasterPos3sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3sv@4' :: fglRasterPos3sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3sv'  :: fglRasterPos3sv_array
!DEC$ENDIF
integer(2) v(3)
end subroutine fglRasterPos3sv_array
subroutine fglRasterPos3sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos3sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos3sv@4' :: fglRasterPos3sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos3sv'  :: fglRasterPos3sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos3sv_ptr
end interface fglRasterPos3sv
interface
subroutine fglRasterPos4d (x, y, z, w)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4d@32' :: fglRasterPos4d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4d'    :: fglRasterPos4d
!DEC$ENDIF
real*8 x
real*8 y
real*8 z
real*8 w
end subroutine fglRasterPos4d
end interface
interface fglRasterPos4dv
subroutine fglRasterPos4dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4dv@4' :: fglRasterPos4dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4dv'   :: fglRasterPos4dv_array
!DEC$ENDIF
real(8) v(4)
end subroutine fglRasterPos4dv_array
subroutine fglRasterPos4dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4dv@4' :: fglRasterPos4dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4dv'   :: fglRasterPos4dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos4dv_ptr
end interface fglRasterPos4dv
interface
subroutine fglRasterPos4f (x, y, z, w)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4f@16' :: fglRasterPos4f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4f'    :: fglRasterPos4f
!DEC$ENDIF
real*4 x
real*4 y
real*4 z
real*4 w
end subroutine fglRasterPos4f
end interface
interface fglRasterPos4fv
subroutine fglRasterPos4fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4fv@4' :: fglRasterPos4fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4fv'   :: fglRasterPos4fv_array
!DEC$ENDIF
real(4) v(4)
end subroutine fglRasterPos4fv_array
subroutine fglRasterPos4fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4fv@4' :: fglRasterPos4fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4fv'   :: fglRasterPos4fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos4fv_ptr
end interface fglRasterPos4fv
interface
subroutine fglRasterPos4i (x, y, z, w)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4i@16' :: fglRasterPos4i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4i'    :: fglRasterPos4i
!DEC$ENDIF
integer*4 x
integer*4 y
integer*4 z
integer*4 w
end subroutine fglRasterPos4i
end interface
interface fglRasterPos4iv
subroutine fglRasterPos4iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4iv@4' :: fglRasterPos4iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4iv'  :: fglRasterPos4iv_array
!DEC$ENDIF
integer(4) v(4)
end subroutine fglRasterPos4iv_array
subroutine fglRasterPos4iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4iv@4' :: fglRasterPos4iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4iv'  :: fglRasterPos4iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos4iv_ptr
end interface fglRasterPos4iv
interface
subroutine fglRasterPos4s (x, y, z, w)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4s@16' :: fglRasterPos4s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4s'    :: fglRasterPos4s
!DEC$ENDIF
integer*2 x
integer*2 y
integer*2 z
integer*2 w
end subroutine fglRasterPos4s
end interface
interface fglRasterPos4sv
subroutine fglRasterPos4sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4sv@4' :: fglRasterPos4sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4sv'   :: fglRasterPos4sv_array
!DEC$ENDIF
integer(2) v(4)
end subroutine fglRasterPos4sv_array
subroutine fglRasterPos4sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglRasterPos4sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRasterPos4sv@4' :: fglRasterPos4sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRasterPos4sv'   :: fglRasterPos4sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglRasterPos4sv_ptr
end interface fglRasterPos4sv
interface
subroutine  fglReadBuffer  (mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglReadBuffer
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glReadBuffer@4' :: fglReadBuffer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glReadBuffer'   :: fglReadBuffer
!DEC$ENDIF
integer*4 mode  
end subroutine fglReadBuffer
end interface
interface
subroutine  fglReadPixels  (x ,y ,width ,height ,format ,type ,pixels ) 
!DEC$ ATTRIBUTES DEFAULT :: fglReadPixels
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glReadPixels@28' :: fglReadPixels
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glReadPixels'    :: fglReadPixels
!DEC$ENDIF
integer*4 x  
integer*4 y  
integer*4 width  
integer*4 height  
integer*4 format  
integer*4 type  
integer*4 pixels  
end subroutine fglReadPixels
end interface
interface 
subroutine  fglRectd  (x1 ,y1 ,x2 ,y2 ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRectd
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRectd@32' :: fglRectd
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRectd'    :: fglRectd
!DEC$ENDIF
real*8 x1  
real*8 y1  
real*8 x2  
real*8 y2  
end subroutine fglRectd
end interface
interface
subroutine  fglRectdv  (va ,vb ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRectdv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRectdv@8' :: fglRectdv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRectdv'   :: fglRectdv
!DEC$ENDIF
integer(4)   va  
integer(4)   vb  
end subroutine fglRectdv
end interface
interface
subroutine  fglRectf  (x1 ,y1 ,x2 ,y2 ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRectf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRectf@16' :: fglRectf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRectf'    :: fglRectf
!DEC$ENDIF
real*4 x1  
real*4 y1  
real*4 x2  
real*4 y2  
end subroutine fglRectf
end interface
interface
subroutine  fglRectfv  (va ,vb ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRectfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRectfv@8' :: fglRectfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRectfv'   :: fglRectfv
!DEC$ENDIF
integer(4)   va  
integer(4)   vb  
end subroutine fglRectfv
end interface
interface
subroutine  fglRecti  (x1 ,y1 ,x2 ,y2 ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRecti
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRecti@16' :: fglRecti
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRecti'    :: fglRecti
!DEC$ENDIF
integer*4 x1  
integer*4 y1  
integer*4 x2  
integer*4 y2  
end subroutine fglRecti
end interface
interface
subroutine  fglRectiv  (va ,vb ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRectiv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRectiv@8' :: fglRectiv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRectiv'   :: fglRectiv
!DEC$ENDIF
integer*4 va  
integer*4 vb  
end subroutine fglRectiv
end interface
interface
subroutine  fglRects  (x1 ,y1 ,x2 ,y2 ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRects
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRects@16' :: fglRects
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRects'    :: fglRects
!DEC$ENDIF
integer*2 x1  
integer*2 y1  
integer*2 x2  
integer*2 y2  
end subroutine fglRects
end interface
interface
subroutine  fglRectsv  (va ,vb ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRectsv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRectsv@8' :: fglRectsv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRectsv'   :: fglRectsv
!DEC$ENDIF
integer(4)  va  
integer(4)  vb  
end subroutine fglRectsv
end interface
interface
integer*4 function fglRenderMode  (mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRenderMode
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRenderMode@4' :: fglRenderMode
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRenderMode'   :: fglRenderMode
!DEC$ENDIF
integer*4 mode  
end function fglRenderMode
end interface
interface  
subroutine  fglRotated  (angle ,x ,y ,z ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRotated
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRotated@32' :: fglRotated
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRotated'    :: fglRotated
!DEC$ENDIF
real*8 angle  
real*8 x  
real*8 y  
real*8 z  
end subroutine fglRotated
end interface
interface
subroutine  fglRotatef  (angle ,x ,y ,z ) 
!DEC$ ATTRIBUTES DEFAULT :: fglRotatef
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glRotatef@16' :: fglRotatef
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glRotatef'    :: fglRotatef
!DEC$ENDIF
real*4 angle  
real*4 x  
real*4 y  
real*4 z  
end subroutine fglRotatef
end interface
interface 
subroutine  fglScaled  (x ,y ,z ) 
!DEC$ ATTRIBUTES DEFAULT :: fglScaled
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glScaled@24' :: fglScaled
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glScaled'    :: fglScaled
!DEC$ENDIF
real*8 x  
real*8 y  
real*8 z  
end subroutine fglScaled
end interface
interface
subroutine  fglScalef  (x ,y ,z ) 
!DEC$ ATTRIBUTES DEFAULT :: fglScalef
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glScalef@12' :: fglScalef
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glScalef'    :: fglScalef
!DEC$ENDIF
real*4 x  
real*4 y  
real*4 z  
end subroutine fglScalef
end interface
interface
subroutine  fglScissor  (x ,y ,width ,height ) 
!DEC$ ATTRIBUTES DEFAULT :: fglScissor
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glScissor@16' :: fglScissor
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glScissor'    :: fglScissor
!DEC$ENDIF
integer*4 x  
integer*4 y  
integer*4 width  
integer*4 height  
end subroutine fglScissor
end interface
interface
subroutine  fglSelectBuffer  (size ,buffer ) 
!DEC$ ATTRIBUTES DEFAULT :: fglSelectBuffer
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glSelectBuffer@8' :: fglSelectBuffer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glSelectBuffer'   :: fglSelectBuffer
!DEC$ENDIF
integer*4 size  
integer*4 buffer  
end subroutine fglSelectBuffer
end interface
interface
subroutine  fglShadeModel  (mode ) 
!DEC$ ATTRIBUTES DEFAULT :: fglShadeModel
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glShadeModel@4' :: fglShadeModel
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glShadeModel'   :: fglShadeModel
!DEC$ENDIF
integer*4 mode  
end subroutine fglShadeModel
end interface
interface
subroutine  fglStencilFunc  (func ,ref ,mask ) 
!DEC$ ATTRIBUTES DEFAULT :: fglStencilFunc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glStencilFunc@12' :: fglStencilFunc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glStencilFunc'    :: fglStencilFunc
!DEC$ENDIF
integer*4 func  
integer*4 ref  
integer*4 mask  
end subroutine fglStencilFunc
end interface
interface
subroutine  fglStencilMask  (mask ) 
!DEC$ ATTRIBUTES DEFAULT :: fglStencilMask
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glStencilMask@4' :: fglStencilMask
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glStencilMask'   :: fglStencilMask
!DEC$ENDIF
integer*4 mask  
end subroutine fglStencilMask
end interface
interface
subroutine  fglStencilOp  (fail ,zfail ,zpass ) 
!DEC$ ATTRIBUTES DEFAULT :: fglStencilOp
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glStencilOp@12' :: fglStencilOp
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glStencilOp'    :: fglStencilOp
!DEC$ENDIF
integer*4 fail  
integer*4 zfail  
integer*4 zpass  
end subroutine fglStencilOp
end interface
interface
subroutine fglTexCoord1d (s)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord1d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord1d@8' :: fglTexCoord1d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord1d'   :: fglTexCoord1d
!DEC$ENDIF
real*8   s
end subroutine fglTexCoord1d
end interface
interface
subroutine fglTexCoord1dv (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord1dv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord1dv@4' :: fglTexCoord1dv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord1dv'   :: fglTexCoord1dv
!DEC$ENDIF
integer(4)   v
end subroutine fglTexCoord1dv
end interface
interface
subroutine fglTexCoord1f (s)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord1f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord1f@4' :: fglTexCoord1f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord1f'   :: fglTexCoord1f
!DEC$ENDIF
real*4 s
end subroutine fglTexCoord1f
end interface
interface
subroutine fglTexCoord1fv (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord1fv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord1fv@4' :: fglTexCoord1fv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord1fv'   :: fglTexCoord1fv
!DEC$ENDIF
integer(4)   v
end subroutine fglTexCoord1fv
end interface
interface
subroutine fglTexCoord1i (s)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord1i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord1i@4' :: fglTexCoord1i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord1i'   :: fglTexCoord1i
!DEC$ENDIF
integer*4 s
end subroutine fglTexCoord1i
end interface
interface
subroutine fglTexCoord1iv (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord1iv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord1iv@4' :: fglTexCoord1iv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord1iv'   :: fglTexCoord1iv
!DEC$ENDIF
integer*4 v
end subroutine fglTexCoord1iv
end interface
interface
subroutine fglTexCoord1s (s)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord1s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord1s@4' :: fglTexCoord1s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord1s'   :: fglTexCoord1s
!DEC$ENDIF
integer*2 s
end subroutine fglTexCoord1s
end interface
interface
subroutine fglTexCoord1sv (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord1sv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord1sv@4' :: fglTexCoord1sv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord1sv'   :: fglTexCoord1sv
!DEC$ENDIF
integer(4)  v
end subroutine fglTexCoord1sv
end interface
interface
subroutine fglTexCoord2d (s, t)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2d@16' :: fglTexCoord2d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2d'    :: fglTexCoord2d
!DEC$ENDIF
real*8 s
real*8 t
end subroutine fglTexCoord2d
end interface
interface fglTexCoord2dv
subroutine fglTexCoord2dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2dv@4' :: fglTexCoord2dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2dv'   :: fglTexCoord2dv_array
!DEC$ENDIF
real(8) v(2)
end subroutine fglTexCoord2dv_array
subroutine fglTexCoord2dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2dv@4' :: fglTexCoord2dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2dv'   :: fglTexCoord2dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord2dv_ptr
end interface fglTexCoord2dv
interface
subroutine fglTexCoord2f (s, t)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2f@8' :: fglTexCoord2f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2f'   :: fglTexCoord2f
!DEC$ENDIF
real*4 s
real*4 t
end subroutine fglTexCoord2f
end interface
interface fglTexCoord2fv
subroutine fglTexCoord2fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2fv@4' :: fglTexCoord2fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2fv'   :: fglTexCoord2fv_array
!DEC$ENDIF
real(4) v(2)
end subroutine fglTexCoord2fv_array
subroutine fglTexCoord2fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2fv@4' :: fglTexCoord2fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2fv'   :: fglTexCoord2fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord2fv_ptr
end interface fglTexCoord2fv
interface
subroutine fglTexCoord2i (s, t)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2i@8' :: fglTexCoord2i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2i'   :: fglTexCoord2i
!DEC$ENDIF
integer*4 s
integer*4 t
end subroutine fglTexCoord2i
end interface
interface fglTexCoord2iv
subroutine fglTexCoord2iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2iv@4' :: fglTexCoord2iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2iv'   :: fglTexCoord2iv_array
!DEC$ENDIF
integer(4) v(2)
end subroutine fglTexCoord2iv_array
subroutine fglTexCoord2iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2iv@4' :: fglTexCoord2iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2iv'   :: fglTexCoord2iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord2iv_ptr
end interface fglTexCoord2iv
interface
subroutine fglTexCoord2s (s, t)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2s@8' :: fglTexCoord2s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2s'   :: fglTexCoord2s
!DEC$ENDIF
integer*2 s 
integer*2 t
end subroutine fglTexCoord2s
end interface
interface fglTexCoord2sv
subroutine fglTexCoord2sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2sv@4' :: fglTexCoord2sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2sv'   :: fglTexCoord2sv_array
!DEC$ENDIF
integer(2) v(2)
end subroutine fglTexCoord2sv_array
subroutine fglTexCoord2sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord2sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord2sv@4' :: fglTexCoord2sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord2sv'   :: fglTexCoord2sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord2sv_ptr
end interface fglTexCoord2sv
interface
subroutine fglTexCoord3d (s, t, r)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3d@24' :: fglTexCoord3d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3d'    :: fglTexCoord3d
!DEC$ENDIF
real*8 s 
real*8 t
real*8 r
end subroutine fglTexCoord3d
end interface
interface fglTexCoord3dv
subroutine fglTexCoord3dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3dv@4' :: fglTexCoord3dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3dv'   :: fglTexCoord3dv_array
!DEC$ENDIF
real(8) v(3)
end subroutine fglTexCoord3dv_array
subroutine fglTexCoord3dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3dv@4' :: fglTexCoord3dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3dv'   :: fglTexCoord3dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord3dv_ptr
end interface fglTexCoord3dv
interface
subroutine fglTexCoord3f (s, t, r)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3f@12' :: fglTexCoord3f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3f'    :: fglTexCoord3f
!DEC$ENDIF
real*4 s
real*4 t
real*4 r
end subroutine fglTexCoord3f
end interface
interface fglTexCoord3fv
subroutine fglTexCoord3fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3fv@4' :: fglTexCoord3fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3fv'   :: fglTexCoord3fv_array
!DEC$ENDIF
real(4) v(3)
end subroutine fglTexCoord3fv_array
subroutine fglTexCoord3fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3fv@4' :: fglTexCoord3fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3fv'   :: fglTexCoord3fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord3fv_ptr
end interface fglTexCoord3fv
interface
subroutine fglTexCoord3i (s, t, r)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3i@12' :: fglTexCoord3i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3i'    :: fglTexCoord3i
!DEC$ENDIF
integer*4 s
integer*4 t
integer*4 r
end subroutine fglTexCoord3i
end interface
interface fglTexCoord3iv
subroutine fglTexCoord3iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3iv@4' :: fglTexCoord3iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3iv'   :: fglTexCoord3iv_array
!DEC$ENDIF
integer(4) v(3)
end subroutine fglTexCoord3iv_array
subroutine fglTexCoord3iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3iv@4' :: fglTexCoord3iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3iv'   :: fglTexCoord3iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord3iv_ptr
end interface fglTexCoord3iv
interface
subroutine fglTexCoord3s (s, t, r)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3s@12' :: fglTexCoord3s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3s'    :: fglTexCoord3s
!DEC$ENDIF
integer*2 s
integer*2 t
integer*2 r
end subroutine fglTexCoord3s
end interface
interface fglTexCoord3sv
subroutine fglTexCoord3sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3sv@4' :: fglTexCoord3sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3sv'   :: fglTexCoord3sv_array
!DEC$ENDIF
integer(2) v(3)
end subroutine fglTexCoord3sv_array
subroutine fglTexCoord3sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord3sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord3sv@4' :: fglTexCoord3sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord3sv'   :: fglTexCoord3sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord3sv_ptr
end interface fglTexCoord3sv
interface
subroutine fglTexCoord4d (s, t, r, q)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4d@32' :: fglTexCoord4d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4d'    :: fglTexCoord4d
!DEC$ENDIF
real*8 s
real*8 t
real*8 r
real*8 q
end subroutine fglTexCoord4d
end interface
interface fglTexCoord4dv
subroutine fglTexCoord4dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4dv@4' :: fglTexCoord4dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4dv'   :: fglTexCoord4dv_array
!DEC$ENDIF
real(8) v(4)
end subroutine fglTexCoord4dv_array
subroutine fglTexCoord4dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4dv@4' :: fglTexCoord4dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4dv'   :: fglTexCoord4dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord4dv_ptr
end interface fglTexCoord4dv
interface
subroutine fglTexCoord4f (s, t, r, q)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4f@16' :: fglTexCoord4f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4f'    :: fglTexCoord4f
!DEC$ENDIF
real*4 s
real*4 t
real*4 r
real*4 q
end subroutine fglTexCoord4f
end interface
interface fglTexCoord4fv
subroutine fglTexCoord4fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4fv@4' :: fglTexCoord4fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4fv'   :: fglTexCoord4fv_array
!DEC$ENDIF
real(4) v(4)
end subroutine fglTexCoord4fv_array
subroutine fglTexCoord4fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4fv@4' :: fglTexCoord4fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4fv'   :: fglTexCoord4fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord4fv_ptr
end interface fglTexCoord4fv
interface
subroutine fglTexCoord4i (s, t, r, q)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4i@16' :: fglTexCoord4i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4i'    :: fglTexCoord4i
!DEC$ENDIF
integer*4 s
integer*4 t
integer*4 r
integer*4 q
end subroutine fglTexCoord4i
end interface
interface fglTexCoord4iv
subroutine fglTexCoord4iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4iv@4' :: fglTexCoord4iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4iv'   :: fglTexCoord4iv_array
!DEC$ENDIF
integer(4) v(4)
end subroutine fglTexCoord4iv_array
subroutine fglTexCoord4iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4iv@4' :: fglTexCoord4iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4iv'   :: fglTexCoord4iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord4iv_ptr
end interface fglTexCoord4iv
interface
subroutine fglTexCoord4s (s, t, r, q)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4s@16' :: fglTexCoord4s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4s'    :: fglTexCoord4s
!DEC$ENDIF
integer*2 s
integer*2 t
integer*2 r
integer*2 q
end subroutine fglTexCoord4s
end interface
interface fglTexCoord4sv
subroutine fglTexCoord4sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4sv@4' :: fglTexCoord4sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4sv'   :: fglTexCoord4sv_array
!DEC$ENDIF
integer(2) v(4)
end subroutine fglTexCoord4sv_array
subroutine fglTexCoord4sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoord4sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoord4sv@4' :: fglTexCoord4sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoord4sv'   :: fglTexCoord4sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglTexCoord4sv_ptr
end interface fglTexCoord4sv
INTERFACE
SUBROUTINE fglTexCoordPointer (size, type, stride, pointer)
!DEC$ ATTRIBUTES DEFAULT :: fglTexCoordPointer
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexCoordPointer@16' :: fglTexCoordPointer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexCoordPointer'    :: fglTexCoordPointer
!DEC$ENDIF
INTEGER(K_GLint), INTENT(IN) :: size
INTEGER(K_GLenum), INTENT(IN) :: type
INTEGER(K_GLsizei), INTENT(IN) :: stride
INTEGER(K_GLvoid), INTENT(IN) :: pointer  ! Pointer to array of coordinates-use %LOC
END SUBROUTINE fglTexCoordPointer
END INTERFACE
interface
subroutine  fglTexEnvf  (target ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexEnvf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexEnvf@12' :: fglTexEnvf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexEnvf'    :: fglTexEnvf
!DEC$ENDIF
integer*4 target  
integer*4 pname  
real*4 param  
end subroutine fglTexEnvf
end interface
interface
subroutine  fglTexEnvfv  (target ,pname , params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexEnvfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexEnvfv@12' :: fglTexEnvfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexEnvfv'    :: fglTexEnvfv
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer(4)   params  
end subroutine fglTexEnvfv
end interface
interface
subroutine  fglTexEnvi  (target ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexEnvi
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexEnvi@12' :: fglTexEnvi
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexEnvi'    :: fglTexEnvi
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer*4 param  
end subroutine fglTexEnvi
end interface
interface
subroutine  fglTexEnviv  (target ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexEnviv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexEnviv@12' :: fglTexEnviv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexEnviv'    :: fglTexEnviv
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer*4 params  
end subroutine fglTexEnviv
end interface
interface 
subroutine  fglTexGend  (coord ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexGend
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexGend@16' :: fglTexGend
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexGend'    :: fglTexGend
!DEC$ENDIF
integer*4 coord  
integer*4 pname  
real*8 param  
end subroutine fglTexGend
end interface
interface
subroutine  fglTexGendv  (coord ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexGendv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexGendv@12' :: fglTexGendv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexGendv'    :: fglTexGendv
!DEC$ENDIF
integer*4 coord  
integer*4 pname  
integer(4)   params  
end subroutine fglTexGendv
end interface
interface
subroutine  fglTexGenf  (coord ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexGenf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexGenf@12' :: fglTexGenf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexGenf'    :: fglTexGenf
!DEC$ENDIF
integer*4 coord  
integer*4 pname  
real*4 param  
end subroutine fglTexGenf
end interface
interface
subroutine  fglTexGenfv  (coord ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexGenfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexGenfv@12' :: fglTexGenfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexGenfv'    :: fglTexGenfv
!DEC$ENDIF
integer*4 coord  
integer*4 pname  
integer(4)   params  
end subroutine fglTexGenfv
end interface
interface
subroutine  fglTexGeni  (coord ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexGeni
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexGeni@12' :: fglTexGeni
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexGeni'    :: fglTexGeni
!DEC$ENDIF
integer*4 coord  
integer*4 pname  
integer*4 param  
end subroutine fglTexGeni
end interface
interface
subroutine  fglTexGeniv  (coord ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexGeniv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexGeniv@12' :: fglTexGeniv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexGeniv'    :: fglTexGeniv
!DEC$ENDIF
integer*4 coord  
integer*4 pname  
integer*4 params  
end subroutine fglTexGeniv
end interface
interface
subroutine fglTexImage1D (target, level, components, width, border, format, type, pixels)
!DEC$ ATTRIBUTES DEFAULT :: fglTexImage1D
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexImage1D@32' :: fglTexImage1D
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexImage1D'    :: fglTexImage1D
!DEC$ENDIF
integer*4 target
integer*4 level
integer*4 components
integer*4 width
integer*4 border
integer*4 format
integer*4 type
integer*4 pixels
end subroutine fglTexImage1d
end interface
interface
subroutine fglTexImage2D (target, level, components, width, height, border, format, type, pixels)
!DEC$ ATTRIBUTES DEFAULT :: fglTexImage2D
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexImage2D@36' :: fglTexImage2D
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexImage2D'    :: fglTexImage2D
!DEC$ENDIF
integer*4 target
integer*4 level
integer*4 components
integer*4 width
integer*4 height
integer*4 border
integer*4 format
integer*4 type 
integer*4 pixels
end subroutine fglTexImage2D
end interface
interface
subroutine  fglTexParameterf  (target ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexParameterf
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexParameterf@12' :: fglTexParameterf
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexParameterf'    :: fglTexParameterf
!DEC$ENDIF
integer*4 target  
integer*4 pname  
real*4 param  
end subroutine fglTexParameterf
end interface
interface
subroutine  fglTexParameterfv  (target ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexParameterfv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexParameterfv@12' :: fglTexParameterfv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexParameterfv'    :: fglTexParameterfv
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer(4)   params  
end subroutine fglTexParameterfv
end interface
interface
subroutine  fglTexParameteri  (target ,pname ,param ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexParameteri
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexParameteri@12' :: fglTexParameteri
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexParameteri'    :: fglTexParameteri
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer*4 param  
end subroutine fglTexParameteri
end interface
interface
subroutine  fglTexParameteriv  (target ,pname ,params ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTexParameteriv
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexParameteriv@12' :: fglTexParameteriv
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexParameteriv'    :: fglTexParameteriv
!DEC$ENDIF
integer*4 target  
integer*4 pname  
integer*4 params  
end subroutine fglTexParameteriv
end interface
INTERFACE 
SUBROUTINE fglTexSubImage1D (target, level, xoffset, width, format, type, pixels)
!DEC$ ATTRIBUTES DEFAULT :: fglTexSubImage1D
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexSubImage1D@28' :: fglTexSubImage1D
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexSubImage1D'    :: fglTexSubImage1D
!DEC$ENDIF
INTEGER(K_GLenum), INTENT(IN) :: target
INTEGER(K_GLint), INTENT(IN) :: level
INTEGER(K_GLint), INTENT(IN) :: xoffset
INTEGER(K_GLsizei), INTENT(IN) :: width
INTEGER(K_GLenum), INTENT(IN) :: format
INTEGER(K_GLenum), INTENT(IN) :: type
INTEGER(K_GLvoid), INTENT(IN) :: pixels
END SUBROUTINE fglTexSubImage1D
END INTERFACE
INTERFACE 
SUBROUTINE fglTexSubImage2D (target, level, xoffset, yoffset, width,  &
			     height, format, type, pixels)
USE DFOPNGLT
!DEC$ ATTRIBUTES DEFAULT :: fglTexSubImage2D
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTexSubImage2D@36' :: fglTexSubImage2D
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTexSubImage2D'    :: fglTexSubImage2D
!DEC$ENDIF
INTEGER(K_GLenum), INTENT(IN) :: target
INTEGER(K_GLint), INTENT(IN) :: level
INTEGER(K_GLint), INTENT(IN) :: xoffset
INTEGER(K_GLint), INTENT(IN) :: yoffset
INTEGER(K_GLsizei), INTENT(IN) :: width
INTEGER(K_GLsizei), INTENT(IN) :: height
INTEGER(K_GLenum), INTENT(IN) :: format
INTEGER(K_GLenum), INTENT(IN) :: type
INTEGER(K_GLvoid), INTENT(IN) :: pixels
END SUBROUTINE fglTexSubImage2D
END INTERFACE
interface 
subroutine  fglTranslated  (x ,y ,z ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTranslated
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTranslated@24' :: fglTranslated
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTranslated'    :: fglTranslated
!DEC$ENDIF
real*8 x  
real*8 y  
real*8 z  
end subroutine fglTranslated
end interface
interface
subroutine  fglTranslatef  (x ,y ,z ) 
!DEC$ ATTRIBUTES DEFAULT :: fglTranslatef
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glTranslatef@12' :: fglTranslatef
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glTranslatef'    :: fglTranslatef
!DEC$ENDIF
real*4 x  
real*4 y  
real*4 z  
end subroutine fglTranslatef
end interface
interface
subroutine fglVertex2d (x, y)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2d@16' :: fglVertex2d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2d'    :: fglVertex2d
!DEC$ENDIF
real*8 x
real*8 y
end subroutine fglVertex2d
end interface
interface fglVertex2dv
subroutine fglVertex2dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2dv@4' :: fglVertex2dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2dv'   :: fglVertex2dv_array
!DEC$ENDIF
real(8) v(2)
end subroutine fglVertex2dv_array
subroutine fglVertex2dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2dv@4' :: fglVertex2dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2dv'   :: fglVertex2dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex2dv_ptr
end interface fglVertex2dv
interface
subroutine fglVertex2f (x, y)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2f@8' :: fglVertex2f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2f'   :: fglVertex2f
!DEC$ENDIF
real*4 x
real*4 y
end subroutine fglVertex2f
end interface
interface fglVertex2fv
subroutine fglVertex2fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2fv@4' :: fglVertex2fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2fv'   :: fglVertex2fv_array
!DEC$ENDIF
real(4) v(2)
end subroutine fglVertex2fv_array
subroutine fglVertex2fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2fv@4' :: fglVertex2fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2fv'   :: fglVertex2fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex2fv_ptr
end interface fglVertex2fv
interface
subroutine fglVertex2i (x, y)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2i@8' :: fglVertex2i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2i'   :: fglVertex2i
!DEC$ENDIF
integer*4 x
integer*4 y
end subroutine fglVertex2i
end interface
interface fglVertex2iv
subroutine fglVertex2iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2iv@4' :: fglVertex2iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2iv'   :: fglVertex2iv_array
!DEC$ENDIF
integer(4) v(2)
end subroutine fglVertex2iv_array
subroutine fglVertex2iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2iv@4' :: fglVertex2iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2iv'   :: fglVertex2iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex2iv_ptr
end interface fglVertex2iv
interface
subroutine fglVertex2s (x, y)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2s@8' :: fglVertex2s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2s'   :: fglVertex2s
!DEC$ENDIF
integer*2 x
integer*2 y
end subroutine fglVertex2s
end interface
interface fglVertex2sv
subroutine fglVertex2sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2sv@4' :: fglVertex2sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2sv'   :: fglVertex2sv_array
!DEC$ENDIF
integer(2) v(2)
end subroutine fglVertex2sv_array
subroutine fglVertex2sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex2sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex2sv@4' :: fglVertex2sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex2sv'   :: fglVertex2sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex2sv_ptr
end interface fglVertex2sv
interface
subroutine fglVertex3d (x, y, z)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3d@24' :: fglVertex3d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3d'    :: fglVertex3d
!DEC$ENDIF
real*8 x
real*8 y
real*8 z
end subroutine fglVertex3d
end interface
interface fglVertex3dv
subroutine fglVertex3dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3dv@4' :: fglVertex3dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3dv'   :: fglVertex3dv_array
!DEC$ENDIF
real(8) v(3)
end subroutine fglVertex3dv_array
subroutine fglVertex3dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3dv@4' :: fglVertex3dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3dv'   :: fglVertex3dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex3dv_ptr
end interface fglVertex3dv
interface
subroutine fglVertex3f (x, y, z)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3f@12' :: fglVertex3f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3f'    :: fglVertex3f
!DEC$ENDIF
real*4 x
real*4 y
real*4 z
end subroutine fglVertex3f
end interface
interface fglVertex3fv
subroutine fglVertex3fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3fv@4' :: fglVertex3fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3fv'   :: fglVertex3fv_array
!DEC$ENDIF
real(4) v(3)
end subroutine fglVertex3fv_array
subroutine fglVertex3fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3fv@4' :: fglVertex3fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3fv'   :: fglVertex3fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex3fv_ptr
end interface fglVertex3fv
interface
subroutine fglVertex3i (x, y, z)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3i@12' :: fglVertex3i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3i'    :: fglVertex3i
!DEC$ENDIF
integer*4 x
integer*4 y
integer*4 z
end subroutine fglVertex3i
end interface
interface fglVertex3iv
subroutine fglVertex3iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3iv@4' :: fglVertex3iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3iv'   :: fglVertex3iv_array
!DEC$ENDIF
integer(4) v(3)
end subroutine fglVertex3iv_array
subroutine fglVertex3iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3iv@4' :: fglVertex3iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3iv'   :: fglVertex3iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex3iv_ptr
end interface fglVertex3iv
interface
subroutine fglVertex3s (x, y, z)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3s@12' :: fglVertex3s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3s'    :: fglVertex3s
!DEC$ENDIF
integer*2   x 
integer*2   y 
integer*2   z
end subroutine fglVertex3s
end interface
interface fglVertex3sv
subroutine fglVertex3sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3sv@4' :: fglVertex3sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3sv'   :: fglVertex3sv_array
!DEC$ENDIF
integer(2) v(3)
end subroutine fglVertex3sv_array
subroutine fglVertex3sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex3sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex3sv@4' :: fglVertex3sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex3sv'   :: fglVertex3sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex3sv_ptr
end interface fglVertex3sv
interface
subroutine fglVertex4d (x, y, z, w)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4d
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4d@32' :: fglVertex4d
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4d'    :: fglVertex4d
!DEC$ENDIF
real*8 x 
real*8 y 
real*8 z 
real*8 w
end subroutine fglVertex4d
end interface
interface fglVertex4dv
subroutine fglVertex4dv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4dv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4dv@4' :: fglVertex4dv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4dv'   :: fglVertex4dv_array
!DEC$ENDIF
real(8) v(4)
end subroutine fglVertex4dv_array
subroutine fglVertex4dv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4dv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4dv@4' :: fglVertex4dv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4dv'   :: fglVertex4dv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex4dv_ptr
end interface fglVertex4dv
interface
subroutine fglVertex4f (x, y, z, w)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4f
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4f@16' :: fglVertex4f
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4f'    :: fglVertex4f
!DEC$ENDIF
real*4 x
real*4 y
real*4 z
real*4 w
end subroutine fglVertex4f
end interface
interface fglVertex4fv
subroutine fglVertex4fv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4fv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4fv@4' :: fglVertex4fv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4fv'   :: fglVertex4fv_array
!DEC$ENDIF
real(4) v(4)
end subroutine fglVertex4fv_array
subroutine fglVertex4fv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4fv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4fv@4' :: fglVertex4fv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4fv'   :: fglVertex4fv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex4fv_ptr
end interface fglVertex4fv
interface
subroutine fglVertex4i (x, y, z, w)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4i
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4i@16' :: fglVertex4i
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4i'    :: fglVertex4i
!DEC$ENDIF
integer*4   x
integer*4   y
integer*4   z
integer*4   w
end subroutine fglVertex4i
end interface
interface fglVertex4iv
subroutine fglVertex4iv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4iv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4iv@4' :: fglVertex4iv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4iv'   :: fglVertex4iv_array
!DEC$ENDIF
integer(4) v(4)
end subroutine fglVertex4iv_array
subroutine fglVertex4iv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4iv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4iv@4' :: fglVertex4iv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4iv'   :: fglVertex4iv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex4iv_ptr
end interface fglVertex4iv
interface
subroutine fglVertex4s (x, y, z, w)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4s
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4s@16' :: fglVertex4s
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4s'    :: fglVertex4s
!DEC$ENDIF
integer*2 x
integer*2 y
integer*2 z
integer*2 w
end subroutine fglVertex4s
end interface
interface fglVertex4sv
subroutine fglVertex4sv_array (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4sv_array
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4sv@4' :: fglVertex4sv_array
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4sv'   :: fglVertex4sv_array
!DEC$ENDIF
integer(2) v(4)
end subroutine fglVertex4sv_array
subroutine fglVertex4sv_ptr (v)
!DEC$ ATTRIBUTES DEFAULT :: fglVertex4sv_ptr
! Incorrect interface retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glVertex4sv@4' :: fglVertex4sv_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glVertex4sv'   :: fglVertex4sv_ptr
!DEC$ENDIF
integer(4) v   ! Pointer to array
!DEC$ ATTRIBUTES VALUE :: v
end subroutine fglVertex4sv_ptr
end interface fglVertex4sv
! Note - contrary to MS documentation, there is no "count" argument
!
INTERFACE
SUBROUTINE fglVertexPointer (size,type,stride,pointer)
!DEC$ ATTRIBUTES DEFAULT :: fglVertexPointer
USE DFOPNGLT
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL,ALIAS:'_glVertexPointer@16' :: fglVertexPointer
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL,ALIAS:'glVertexPointer' :: fglVertexPointer
!DEC$ ENDIF
INTEGER(K_GLint), INTENT(IN) :: size
INTEGER(K_GLenum), INTENT(IN) :: type 
INTEGER(K_GLsizei), INTENT(IN) :: stride 
INTEGER(K_GLvoid), INTENT(IN) ::  pointer 
END SUBROUTINE fglVertexPointer
END INTERFACE
interface
subroutine  fglViewport  (x ,y ,width ,height ) 
!DEC$ ATTRIBUTES DEFAULT :: fglViewport
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_glViewport@16' :: fglViewport
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'glViewport'    :: fglViewport
!DEC$ENDIF
integer*4 x  
integer*4 y  
integer*4 width  
integer*4 height  
end subroutine fglViewport
end interface
!                           **** FGLU ****
interface
integer*4 function fgluErrorString (errCode)
!DEC$ ATTRIBUTES DEFAULT :: fgluErrorString
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluErrorString@4' :: fgluErrorString
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluErrorString'   :: fgluErrorString
!DEC$ENDIF
integer(4)     errCode
end function fgluErrorString
end interface
interface
subroutine fgluOrtho2D (left, right, bottom, top)
!DEC$ ATTRIBUTES DEFAULT :: fgluOrtho2D
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluOrtho2D@32' :: fgluOrtho2D
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluOrtho2D'    :: fgluOrtho2D
!DEC$ENDIF
real*8 left
real*8 right
real*8 bottom
real*8 top
end subroutine fgluOrtho2D
end interface
interface
subroutine  fgluPerspective  (fovy ,aspect ,zNear ,zFar ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluPerspective
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluPerspective@32' :: fgluPerspective
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluPerspective'    :: fgluPerspective
!DEC$ENDIF
real*8 fovy 
real*8 aspect 
real*8 zNear 
real*8 zFar 
end subroutine fgluPerspective
end interface
	     
interface 
subroutine  fgluPickMatrix  (x ,y ,width ,height ,viewport )
!DEC$ ATTRIBUTES DEFAULT :: fgluPickMatrix
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluPickMatrix@36' :: fgluPickMatrix
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluPickMatrix'    :: fgluPickMatrix
!DEC$ENDIF
real*8 x 
real*8 y 
real*8 width 
real*8 height 
integer*4 viewport(4) 
end subroutine fgluPickMatrix
end interface
interface
subroutine  fgluLookAt  (eyex ,eyey ,eyez ,centerx ,centery ,centerz ,upx ,upy ,upz ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluLookAt
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluLookAt@72' :: fgluLookAt
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluLookAt'    :: fgluLookAt
!DEC$ENDIF
real*8 eyex 
real*8 eyey 
real*8 eyez 
real*8 centerx 
real*8 centery 
real*8 centerz 
real*8 upx 
real*8 upy 
real*8 upz 
end subroutine fgluLookAt
end interface
interface
integer(4) function  fgluProject  (objx ,objy ,objz ,modelMatrix ,projMatrix ,viewport ,winx ,winy ,winz ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluProject
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluProject@48' :: fgluProject
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluProject'    :: fgluProject
!DEC$ENDIF
!DEC$ ATTRIBUTES REFERENCE :: winx, winy, winz
real*8 objx 
real*8 objy 
real*8 objz 
real*8 modelMatrix(16) 
real*8 projMatrix(16) 
integer*4 viewport(4) 
real*8 winx 
real*8 winy 
real*8 winz 

end function fgluProject
end interface
interface 
integer(4) function  fgluUnProject  (winx ,winy ,winz , modelMatrix ,projMatrix ,viewport ,objx ,objy ,objz ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluUnProject
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluUnProject@48' :: fgluUnProject
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluUnProject'    :: fgluUnProject
!DEC$ENDIF
!DEC$ ATTRIBUTES REFERENCE :: objx, objy, objz
real*8 winx 
real*8 winy 
real*8 winz 
real*8 modelMatrix(16) 
real*8 projMatrix(16) 
integer*4 viewport(4) 
real*8 objx 
real*8 objy 
real*8 objz 
end function fgluUnProject
end interface
interface
integer(4) function  fgluScaleImage  (format ,widthin ,heightin ,typein ,datain ,widthout ,heightout ,typeout ,dataout ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluScaleImage
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluScaleImage@36' :: fgluScaleImage
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluScaleImage'    :: fgluScaleImage
!DEC$ENDIF
!DEC$ ATTRIBUTES NO_ARG_CHECK,REFERENCE :: datain, dataout
integer*4 format 
integer*4 widthin 
integer*4 heightin 
integer*4 typein 
integer,intent(in),dimension(*) :: datain
integer*4 widthout 
integer*4 heightout 
integer*4 typeout 
integer(4),intent(out),dimension(*) :: dataout 
end function fgluScaleImage
end interface
interface
integer(4) function fgluBuild1DMipmaps (target, components, width, format, type, data)
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluBuild1DMipmaps@24' :: fgluBuild1DMipmaps
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluBuild1DMipmaps'    :: fgluBuild1DMipmaps
!DEC$ENDIF
integer*4   target
integer*4   components
integer*4   width
integer*4   format
integer*4   type
integer(4), dimension(*) :: data
!DEC$ ATTRIBUTES NO_ARG_CHECK,REFERENCE :: data
end function fgluBuild1DMipmaps
end interface
	     
interface
integer(4) function fgluBuild2DMipmaps (target, components, width, height, format, type, data)
!DEC$ ATTRIBUTES DEFAULT :: fgluBuild2DMipmaps
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluBuild2DMipmaps@28' :: fgluBuild2DMipmaps
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluBuild2DMipmaps'    :: fgluBuild2DMipmaps
!DEC$ENDIF
integer*4 target
integer*4 components
integer*4 width
integer*4 height
integer*4 format
integer*4 type
integer(4), dimension(*) :: data
!DEC$ ATTRIBUTES NO_ARG_CHECK,REFERENCE :: data
end function fgluBuild2DMipmaps
end interface
	     
interface
integer(4) function fgluNewQuadric ()
!DEC$ ATTRIBUTES DEFAULT :: fgluNewQuadric
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluNewQuadric@0' :: fgluNewQuadric
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluNewQuadric'   :: fgluNewQuadric
!DEC$ENDIF
end function fgluNewQuadric
end interface
	     
interface
subroutine  fgluDeleteQuadric  (state ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluDeleteQuadric
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluDeleteQuadric@4' :: fgluDeleteQuadric
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluDeleteQuadric'   :: fgluDeleteQuadric
!DEC$ENDIF
integer*4 state 
end subroutine fgluDeleteQuadric
end interface
interface
subroutine  fgluQuadricNormals  (quadObject ,normals ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluQuadricNormals
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluQuadricNormals@8' :: fgluQuadricNormals
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluQuadricNormals'   :: fgluQuadricNormals
!DEC$ENDIF
integer*4 quadObject 
integer*4 normals 
end subroutine fgluQuadricNormals
end interface
interface
subroutine  fgluQuadricTexture  (quadObject ,textureCoords ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluQuadricTexture
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluQuadricTexture@8' :: fgluQuadricTexture
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluQuadricTexture'   :: fgluQuadricTexture
!DEC$ENDIF
integer*4 quadObject 
character textureCoords 
end subroutine fgluQuadricTexture
end interface
	     
interface
subroutine  fgluQuadricOrientation  (quadObject ,orientation ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluQuadricOrientation
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluQuadricOrientation@8' :: fgluQuadricOrientation
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluQuadricOrientation'   :: fgluQuadricOrientation
!DEC$ENDIF
integer*4 quadObject 
integer*4 orientation 
end subroutine fgluQuadricOrientation
end interface
	     
interface
subroutine  fgluQuadricDrawStyle  (quadObject ,drawStyle ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluQuadricDrawStyle
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluQuadricDrawStyle@8' :: fgluQuadricDrawStyle
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluQuadricDrawStyle'   :: fgluQuadricDrawStyle
!DEC$ENDIF
integer*4 quadObject 
integer*4 drawStyle 
end subroutine fgluQuadricDrawStyle
end interface
interface
subroutine  fgluCylinder  (qobj ,baseRadius ,topRadius ,height ,slices ,stacks ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluCylinder
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluCylinder@36' :: fgluCylinder
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluCylinder'    :: fgluCylinder
!DEC$ENDIF
integer*4 qobj 
real*8 baseRadius 
real*8 topRadius 
real*8 height 
integer*4 slices 
integer*4 stacks 
end subroutine fgluCylinder
end interface
interface
subroutine  fgluDisk  (qobj ,innerRadius ,outerRadius ,slices ,loops ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluDisk
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluDisk@28' :: fgluDisk
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluDisk'    :: fgluDisk
!DEC$ENDIF
integer*4 qobj 
real*8 innerRadius 
real*8 outerRadius 
integer*4 slices 
integer*4 loops 
end subroutine fgluDisk
end interface
interface
subroutine  fgluPartialDisk  (qobj ,innerRadius ,outerRadius ,slices ,loops ,startAngle ,sweepAngle ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluPartialDisk
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluPartialDisk@44' :: fgluPartialDisk
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluPartialDisk'    :: fgluPartialDisk
!DEC$ENDIF
integer*4 qobj 
real*8 innerRadius 
real*8 outerRadius 
integer*4 slices 
integer*4 loops 
real*8 startAngle 
real*8 sweepAngle 
end subroutine fgluPartialDisk
end interface
interface
subroutine  fgluSphere  (qobj ,radius ,slices ,stacks ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluSphere
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluSphere@20' :: fgluSphere
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluSphere'    :: fgluSphere
!DEC$ENDIF
integer*4 qobj 
real*8 radius 
integer*4 slices 
integer*4 stacks 
end subroutine fgluSphere
end interface
interface
subroutine  fgluQuadricCallback  (qobj ,which ,fn ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluQuadricCallback
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluQuadricCallback@12' :: fgluQuadricCallback
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluQuadricCallback'    :: fgluQuadricCallback
!DEC$ENDIF
integer*4 qobj 
integer*4 which 
external fn
end subroutine fgluQuadricCallback
end interface
interface
integer*4 function fgluNewTess ()
!DEC$ ATTRIBUTES DEFAULT :: fgluNewTess
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluNewTess@0' :: fgluNewTess
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluNewTess'   :: fgluNewTess
!DEC$ENDIF
end function fgluNewTess
end interface
INTERFACE
SUBROUTINE  fgluTessCallback  (tobj ,which , fn ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluTessCallback
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluTessCallback@12' :: fgluTessCallback
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluTessCallback'    :: fgluTessCallback
!DEC$ENDIF
INTEGER(K_GLUtesselator), INTENT(IN) :: tobj 
INTEGER(K_GLenum), INTENT(IN) :: which 
EXTERNAL fn
END SUBROUTINE fgluTessCallback
END INTERFACE
interface
subroutine  fgluDeleteTess  (tobj )
!DEC$ ATTRIBUTES DEFAULT :: fgluDeleteTess
USE DFOPNGLT
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluDeleteTess@4' :: fgluDeleteTess
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluDeleteTess'   :: fgluDeleteTess
!DEC$ENDIF
INTEGER(K_GLUtesselator), INTENT(IN) :: tobj 
end subroutine fgluDeleteTess
end interface
interface
subroutine  fgluBeginPolygon  (tobj ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluBeginPolygon
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluBeginPolygon@4' :: fgluBeginPolygon
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluBeginPolygon'   :: fgluBeginPolygon
!DEC$ENDIF
integer*4 tobj 
end subroutine fgluBeginPolygon
end interface
interface
subroutine  fgluEndPolygon  (tobj ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluEndPolygon
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluEndPolygon@4' :: fgluEndPolygon
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluEndPolygon'   :: fgluEndPolygon
!DEC$ENDIF
integer*4 tobj 
end subroutine fgluEndPolygon
end interface
interface
subroutine  fgluNextContour  (tobj ,type ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluNextContour
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluNextContour@8' :: fgluNextContour
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluNextContour'   :: fgluNextContour
!DEC$ENDIF
integer*4 tobj 
integer*4 type 
end subroutine fgluNextContour
end interface
interface
subroutine  fgluTessVertex  (tess, coords, data ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluTessVertex
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluTessVertex@12' :: fgluTessVertex
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluTessVertex'    :: fgluTessVertex
!DEC$ENDIF
integer(4) tess
real(8) coords(3) 
integer(4), dimension(*) :: data 
!DEC$ ATTRIBUTES NO_ARG_CHECK,REFERENCE :: data
end subroutine fgluTessVertex
end interface
interface
integer(4) function fgluNewNurbsRenderer ()
!DEC$ ATTRIBUTES DEFAULT :: fgluNewNurbsRenderer
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluNewNurbsRenderer@0' :: fgluNewNurbsRenderer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluNewNurbsRenderer'   :: fgluNewNurbsRenderer
!DEC$ENDIF
end function fgluNewNurbsRenderer
end interface
interface
subroutine  fgluDeleteNurbsRenderer  (nobj ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluDeleteNurbsRenderer
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluDeleteNurbsRenderer@4' :: fgluDeleteNurbsRenderer
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluDeleteNurbsRenderer'   :: fgluDeleteNurbsRenderer
!DEC$ENDIF
integer*4 nobj 
end subroutine fgluDeleteNurbsRenderer
end interface
interface
subroutine  fgluBeginSurface  (nobj ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluBeginSurface
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluBeginSurface@4' :: fgluBeginSurface
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluBeginSurface'   :: fgluBeginSurface
!DEC$ENDIF
integer*4 nobj 
end subroutine fgluBeginSurface
end interface
interface
subroutine  fgluBeginCurve  (nobj ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluBeginCurve
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluBeginCurve@4' :: fgluBeginCurve
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluBeginCurve'   :: fgluBeginCurve
!DEC$ENDIF
integer*4 nobj 
end subroutine fgluBeginCurve
end interface
interface
subroutine  fgluEndCurve  (nobj ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluEndCurve
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluEndCurve@4' :: fgluEndCurve
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluEndCurve'   :: fgluEndCurve
!DEC$ENDIF
integer*4 nobj 
end subroutine fgluEndCurve
end interface
interface
subroutine  fgluEndSurface  (nobj ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluEndSurface
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluEndSurface@4' :: fgluEndSurface
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluEndSurface'   :: fgluEndSurface
!DEC$ENDIF
integer*4 nobj 
end subroutine fgluEndSurface
end interface
interface
subroutine  fgluBeginTrim  (nobj ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluBeginTrim
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluBeginTrim@4' :: fgluBeginTrim
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluBeginTrim'   :: fgluBeginTrim
!DEC$ENDIF
integer*4 nobj 
end subroutine fgluBeginTrim
end interface
interface
subroutine  fgluEndTrim  (nobj ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluEndTrim
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluEndTrim@4' :: fgluEndTrim
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluEndTrim'   :: fgluEndTrim
!DEC$ENDIF
integer*4 nobj 
end subroutine fgluEndTrim
end interface
interface
subroutine  fgluPwlCurve  (nobj ,count ,array ,stride ,type ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluPwlCurve
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluPwlCurve@20' :: fgluPwlCurve
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluPwlCurve'    :: fgluPwlCurve
!DEC$ENDIF
integer*4 nobj 
integer*4 count 
integer*4 array 
integer*4 stride 
integer*4 type 
end subroutine fgluPwlCurve
end interface
interface
subroutine  fgluNurbsCurve  (nobj ,nknots ,knot ,stride ,ctlarray ,order ,type ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluNurbsCurve
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluNurbsCurve@28' :: fgluNurbsCurve
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluNurbsCurve'    :: fgluNurbsCurve
!DEC$ENDIF
integer*4 nobj 
integer*4 nknots 
integer*4 knot 
integer*4 stride 
integer*4 ctlarray 
integer*4 order 
integer*4 type 
end subroutine fgluNurbsCurve
end interface
interface
subroutine  fgluNurbsSurface  (nobj ,sknot_count ,sknot ,tknot_count ,tknot ,s_stride ,t_stride ,ctlarray ,sorder ,torder ,type ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluNurbsSurface
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluNurbsSurface@44' :: fgluNurbsSurface
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluNurbsSurface'    :: fgluNurbsSurface
!DEC$ENDIF
integer*4 nobj 
integer*4 sknot_count 
integer*4 sknot 
integer*4 tknot_count 
integer*4 tknot 
integer*4 s_stride 
integer*4 t_stride 
integer*4 ctlarray 
integer*4 sorder 
integer*4 torder 
integer*4 type 
end subroutine fgluNurbsSurface
end interface
interface
subroutine  fgluLoadSamplingMatrices  (nobj , modelMatrix, projMatrix, viewport )
!DEC$ ATTRIBUTES DEFAULT :: fgluLoadSamplingMatrices
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluLoadSamplingMatrices@16' :: fgluLoadSamplingMatrices
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluLoadSamplingMatrices'    :: fgluLoadSamplingMatrices
!DEC$ENDIF
integer*4 nobj 
real*4 modelMatrix(16) 
real*4 projMatrix(16) 
integer*4 viewport(4) 
end subroutine fgluLoadSamplingMatrices
end interface
interface
subroutine  fgluNurbsProperty  (nobj ,property ,value ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluNurbsProperty
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluNurbsProperty@12' :: fgluNurbsProperty
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluNurbsProperty'    :: fgluNurbsProperty
!DEC$ENDIF
integer*4 nobj 
integer*4 property 
real*4 value 
end subroutine fgluNurbsProperty
end interface
interface
subroutine  fgluGetNurbsProperty  (nobj ,property ,value ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluGetNurbsProperty
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluGetNurbsProperty@12' :: fgluGetNurbsProperty
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluGetNurbsProperty'    :: fgluGetNurbsProperty
!DEC$ENDIF
integer*4 nobj 
integer*4 property 
integer*4 value 
end subroutine fgluGetNurbsProperty
end interface
interface
subroutine  fgluNurbsCallback  (nobj ,which , fn ) 
!DEC$ ATTRIBUTES DEFAULT :: fgluNurbsCallback
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_gluNurbsCallback@12' :: fgluNurbsCallback
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'gluNurbsCallback'    :: fgluNurbsCallback
!DEC$ENDIF
integer*4 nobj 
integer*4 which 
external fn
end subroutine fgluNurbsCallback
end interface

 INTERFACE 
 FUNCTION fgluGetString( &
	 name)
 USE DFOPNGLT
     INTEGER(K_GLvoid) :: fgluGetString
     !DEC$ ATTRIBUTES DEFAULT :: fgluGetString
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_gluGetString@4' :: fgluGetString
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'gluGetString' :: fgluGetString
     !DEC$ ENDIF
 INTEGER(K_GLenum) name
 END FUNCTION
 END INTERFACE

 INTERFACE 
    SUBROUTINE fgluTessBeginPolygon( &
	 tess, &
	 polygon_data)
 USE DFOPNGLT
     !DEC$ ATTRIBUTES DEFAULT :: fgluTessBeginPolygon
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_gluTessBeginPolygon@8' :: fgluTessBeginPolygon
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'gluTessBeginPolygon' :: fgluTessBeginPolygon
     !DEC$ ENDIF
 INTEGER(K_GLUtesselator) tess
 INTEGER(K_GLvoid) polygon_data
 END SUBROUTINE
 END INTERFACE
 INTERFACE 
    SUBROUTINE fgluTessBeginContour( &
	 tess)
 USE DFOPNGLT
     !DEC$ ATTRIBUTES DEFAULT :: fgluTessBeginContour
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_gluTessBeginContour@4' :: fgluTessBeginContour
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'gluTessBeginContour' :: fgluTessBeginContour
     !DEC$ ENDIF
 INTEGER(K_GLUtesselator) tess
 END SUBROUTINE
 END INTERFACE
 INTERFACE 
    SUBROUTINE fgluTessEndContour( &
	 tess)
 USE DFOPNGLT
     !DEC$ ATTRIBUTES DEFAULT :: fgluTessEndContour
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_gluTessEndContour@4' :: fgluTessEndContour
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'gluTessEndContour' :: fgluTessEndContour
     !DEC$ ENDIF
 INTEGER(K_GLUtesselator) tess
 END SUBROUTINE
 END INTERFACE

 INTERFACE 
    SUBROUTINE fgluTessEndPolygon( &
	 tess)
 USE DFOPNGLT
     !DEC$ ATTRIBUTES DEFAULT :: fgluTessEndPolygon
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_gluTessEndPolygon@4' :: fgluTessEndPolygon
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'gluTessEndPolygon' :: fgluTessEndPolygon
     !DEC$ ENDIF
 INTEGER(K_GLUtesselator) tess
 END SUBROUTINE
 END INTERFACE

 INTERFACE  
    SUBROUTINE fgluTessProperty( &
	 tess, &
	 which, &
	 value)
 USE DFOPNGLT
     !DEC$ ATTRIBUTES DEFAULT :: fgluTessProperty
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_gluTessProperty@16' :: fgluTessProperty
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'gluTessProperty' :: fgluTessProperty
     !DEC$ ENDIF
 INTEGER(K_GLUtesselator) tess
 INTEGER(K_GLenum) which
 REAL(K_GLdouble) value
 END SUBROUTINE
 END INTERFACE
 INTERFACE 
    SUBROUTINE fgluTessNormal( &
	 tess, &
	 x,    &
	 y,    &
	 z)
 USE DFOPNGLT
     !DEC$ ATTRIBUTES DEFAULT :: fgluTessNormal
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_gluTessNormal@28' :: fgluTessNormal
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'gluTessNormal' :: fgluTessNormal
     !DEC$ ENDIF
 INTEGER(K_GLUtesselator) tess 
 REAL(K_GLdouble) x
 REAL(K_GLdouble) y
 REAL(K_GLdouble) z
 END SUBROUTINE
 END INTERFACE
 INTERFACE 
    SUBROUTINE fgluGetTessProperty( &
	 tess,  &
	 which, & 
	 value)
 USE DFOPNGLT
     !DEC$ ATTRIBUTES DEFAULT :: fgluGetTessProperty
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_gluGetTessProperty@12' :: fgluGetTessProperty
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'gluGetTessProperty' :: fgluGetTessProperty
     !DEC$ ENDIF
     !DEC$ ATTRIBUTES REFERENCE :: value
 INTEGER(K_GLUtesselator) tess
 INTEGER(K_GLenum) which
 REAL(K_GLdouble) value    ! was pointer to double
 END SUBROUTINE
 END INTERFACE

!                           **** FGLAUX ****        
interface
subroutine  fauxInitDisplayMode (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxInitDisplayMode
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxInitDisplayMode@4' :: fauxInitDisplayMode
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxInitDisplayMode'   :: fauxInitDisplayMode
!DEC$ENDIF
integer*4 dummy0 
end subroutine fauxInitDisplayMode
end interface
interface
subroutine  fauxInitPosition (dummy0,dummy1,dummy2,dummy3) 
!DEC$ ATTRIBUTES DEFAULT :: fauxInitPosition
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxInitPosition@16' :: fauxInitPosition
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxInitPosition'    :: fauxInitPosition
!DEC$ENDIF
integer dummy0 
integer dummy1 
integer dummy2 
integer dummy3 
end subroutine fauxInitPosition
end interface
interface
integer(4) function  fauxInitWindow (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxInitWindow
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxInitWindowA@4' :: fauxInitWindow
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxInitWindowA'  :: fauxInitWindow
!DEC$ENDIF
!DEC$ ATTRIBUTES REFERENCE :: dummy0
character*(*) dummy0 
end function fauxInitWindow
end interface
interface  
subroutine  fauxCloseWindow () 
!DEC$ ATTRIBUTES DEFAULT :: fauxCloseWindow
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxCloseWindow@0' :: fauxCloseWindow
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxCloseWindow'   :: fauxCloseWindow
!DEC$ENDIF
end subroutine fauxCloseWindow
end interface
interface
subroutine  fauxQuit () 
!DEC$ ATTRIBUTES DEFAULT :: fauxQuit
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxQuit@0' :: fauxQuit
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxQuit'   :: fauxQuit
!DEC$ENDIF
end subroutine fauxQuit
end interface
interface
subroutine  fauxSwapBuffers () 
!DEC$ ATTRIBUTES DEFAULT :: fauxSwapBuffers
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSwapBuffers@0' :: fauxSwapBuffers
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSwapBuffers'   :: fauxSwapBuffers
!DEC$ENDIF
end subroutine fauxSwapBuffers
end interface
interface
subroutine  fauxMainLoop (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxMainLoop
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxMainLoop@4' :: fauxMainLoop
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxMainLoop'   :: fauxMainLoop
!DEC$ENDIF
integer*4  dummy0 
end subroutine fauxMainLoop
end interface
interface
subroutine  fauxExposeFunc (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxExposeFunc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxExposeFunc@4' :: fauxExposeFunc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxExposeFunc'   :: fauxExposeFunc
!DEC$ENDIF
integer*4 dummy0 
end subroutine fauxExposeFunc
end interface
interface
subroutine  fauxReshapeFunc (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxReshapeFunc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxReshapeFunc@4' :: fauxReshapeFunc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxReshapeFunc'   :: fauxReshapeFunc
!DEC$ENDIF
integer*4 dummy0 
end subroutine fauxReshapeFunc
end interface
interface
subroutine  fauxIdleFunc (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxIdleFunc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxIdleFunc@4' :: fauxIdleFunc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxIdleFunc'   :: fauxIdleFunc
!DEC$ENDIF
integer*4 dummy0 
end subroutine fauxIdleFunc
end interface
interface
subroutine  fauxKeyFunc (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxKeyFunc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxKeyFunc@8' :: fauxKeyFunc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxKeyFunc'   :: fauxKeyFunc
!DEC$ENDIF
integer(4)  dummy0 
integer*4 dummy1 
end subroutine fauxKeyFunc
end interface
interface
subroutine  fauxMouseFunc (dummy0,dummy1,dummy2) 
!DEC$ ATTRIBUTES DEFAULT :: fauxMouseFunc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxMouseFunc@12' :: fauxMouseFunc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxMouseFunc'    :: fauxMouseFunc
!DEC$ENDIF
integer dummy0 
integer dummy1 
external dummy2 
end subroutine fauxMouseFunc
end interface
interface
integer(4) function  fauxGetColorMapSize () 
!DEC$ ATTRIBUTES DEFAULT :: fauxGetColorMapSize
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxGetColorMapSize@0' :: fauxGetColorMapSize
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxGetColorMapSize'   :: fauxGetColorMapSize
!DEC$ENDIF
end function fauxGetColorMapSize
end interface
interface
subroutine  fauxGetMouseLoc (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxGetMouseLoc
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxGetMouseLoc@8' :: fauxGetMouseLoc
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxGetMouseLoc'   :: fauxGetMouseLoc
!DEC$ENDIF
integer*4 dummy0 
integer*4 dummy1 
end subroutine fauxGetMouseLoc
end interface
interface
subroutine  fauxSetOneColor (dummy0,dummy1,dummy2,dummy3) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSetOneColor
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSetOneColor@16' :: fauxSetOneColor
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSetOneColor'    :: fauxSetOneColor
!DEC$ENDIF
integer dummy0 
real*4 dummy1 
real*4 dummy2 
real*4 dummy3 
end subroutine fauxSetOneColor
end interface
interface
subroutine  fauxSetFogRamp (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSetFogRamp
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSetFogRamp@8' :: fauxSetFogRamp
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSetFogRamp'   :: fauxSetFogRamp
!DEC$ENDIF
integer dummy0 
integer dummy1 
end subroutine fauxSetFogRamp
end interface
	     
interface 
subroutine  fauxSetGreyRamp () 
!DEC$ ATTRIBUTES DEFAULT :: fauxSetGreyRamp
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSetGreyRamp@0' :: fauxSetGreyRamp
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSetGreyRamp'   :: fauxSetGreyRamp
!DEC$ENDIF
end subroutine fauxSetGreyRamp
end interface
interface
subroutine  fauxSetRGBMap (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSetRGBMap
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSetRGBMap@8' :: fauxSetRGBMap
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSetRGBMap'   :: fauxSetRGBMap
!DEC$ENDIF
integer dummy0 
integer*4 dummy1 
end subroutine fauxSetRGBMap
end interface
interface
integer(4) function fauxRGBImageLoad (dummy0)
!DEC$ ATTRIBUTES DEFAULT :: fauxRGBImageLoad
! Returns pointer to AUX_RGBImageRec
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, REFERENCE, ALIAS : '_auxRGBImageLoadA@4' :: fauxRGBImageLoad
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, REFERENCE, ALIAS :  'auxRGBImageLoad'  :: fauxRGBImageLoad
!DEC$ENDIF
character*(*) dummy0
!DEC$ ATTRIBUTES REFERENCE :: dummy0
end function fauxRGBImageLoad
end interface
interface
integer(4) function fauxDIBImageLoad (dummy0)
!DEC$ ATTRIBUTES DEFAULT :: fauxDIBImageLoad
! Returns pointer to AUX_RGBImageRec
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, REFERENCE, ALIAS : '_auxDIBImageLoadA@4' :: fauxDIBImageLoad
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, REFERENCE, ALIAS :  'auxDIBImageLoad'  :: fauxDIBImageLoad
!DEC$ENDIF
character*(*) dummy0
!DEC$ ATTRIBUTES REFERENCE :: dummy0
end function fauxDIBImageLoad
end interface
interface
subroutine  fauxCreateFont
!DEC$ ATTRIBUTES DEFAULT :: fauxCreateFont
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxCreateFont@0' :: fauxCreateFont
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxCreateFont'  :: fauxCreateFont
!DEC$ENDIF
end subroutine fauxCreateFont
end interface
interface fauxDrawStr
subroutine  fauxDrawStr_str (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxDrawStr_str
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, REFERENCE, ALIAS : '_auxDrawStrA@4' :: fauxDrawStr_str
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, REFERENCE, ALIAS :  'auxDrawStrA'   :: fauxDrawStr_str
!DEC$ENDIF
character*(*)dummy0 
!DEC$ ATTRIBUTES REFERENCE :: dummy0
end subroutine fauxDrawStr_str
subroutine  fauxDrawStr_ptr (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxDrawStr_ptr
! Invalid declaration retained for compatibility
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxDrawStrA@4' :: fauxDrawStr_ptr
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxDrawStrA'   :: fauxDrawStr_ptr
!DEC$ENDIF
integer*4 dummy0 ! Address of character string
!DEC$ ATTRIBUTES VALUE :: dummy0
end subroutine fauxDrawStr_ptr
end interface fauxDrawStr
interface
subroutine  fauxWireSphere (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireSphere
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireSphere@8' :: fauxWireSphere
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireSphere'   :: fauxWireSphere
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxWireSphere
end interface
interface
subroutine  fauxSolidSphere (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidSphere
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidSphere@8' :: fauxSolidSphere
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidSphere'   :: fauxSolidSphere
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxSolidSphere
end interface
interface
subroutine  fauxWireCube (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireCube
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireCube@8' :: fauxWireCube
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireCube'   :: fauxWireCube
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxWireCube
end interface
interface
subroutine  fauxSolidCube (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidCube
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidCube@8' :: fauxSolidCube
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidCube'   :: fauxSolidCube
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxSolidCube
end interface
interface
subroutine  fauxWireBox (dummy0,dummy1,dummy2) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireBox
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireBox@24' :: fauxWireBox
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireBox'    :: fauxWireBox
!DEC$ENDIF
real*8 dummy0 
real*8 dummy1 
real*8 dummy2 
end subroutine fauxWireBox
end interface
interface
subroutine  fauxSolidBox (dummy0,dummy1,dummy2) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidBox
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidBox@24' :: fauxSolidBox
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidBox'    :: fauxSolidBox
!DEC$ENDIF
real*8 dummy0 
real*8 dummy1 
real*8 dummy2 
end subroutine fauxSolidBox
end interface
interface
subroutine  fauxWireTorus (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireTorus
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireTorus@16' :: fauxWireTorus
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireTorus'    :: fauxWireTorus
!DEC$ENDIF
real*8 dummy0 
real*8 dummy1 
end subroutine fauxWireTorus
end interface
interface
subroutine  fauxSolidTorus (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidTorus
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidTorus@16' :: fauxSolidTorus
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidTorus'    :: fauxSolidTorus
!DEC$ENDIF
real*8 dummy0 
real*8 dummy1 
end subroutine fauxSolidTorus
end interface
interface
subroutine  fauxWireCylinder (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireCylinder
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireCylinder@16' :: fauxWireCylinder
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireCylinder'    :: fauxWireCylinder
!DEC$ENDIF
real*8 dummy0 
real*8 dummy1 
end subroutine fauxWireCylinder
end interface
interface
subroutine  fauxSolidCylinder (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidCylinder
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidCylinder@16' :: fauxSolidCylinder
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidCylinder'    :: fauxSolidCylinder
!DEC$ENDIF
real*8 dummy0 
real*8 dummy1 
end subroutine fauxSolidCylinder
end interface
interface
subroutine  fauxWireIcosahedron (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireIcosahedron
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireIcosahedron@8' :: fauxWireIcosahedron
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireIcosahedron'   :: fauxWireIcosahedron
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxWireIcosahedron
end interface
	     
interface
subroutine  fauxSolidIcosahedron (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidIcosahedron
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidIcosahedron@8' :: fauxSolidIcosahedron
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidIcosahedron'   :: fauxSolidIcosahedron
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxSolidIcosahedron
end interface
interface
subroutine  fauxWireOctahedron (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireOctahedron
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireOctahedron@8' :: fauxWireOctahedron
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireOctahedron'   :: fauxWireOctahedron
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxWireOctahedron
end interface
interface
subroutine  fauxSolidOctahedron (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidOctahedron
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidOctahedron@8' :: fauxSolidOctahedron
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidOctahedron'   :: fauxSolidOctahedron
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxSolidOctahedron
end interface
interface
subroutine  fauxWireTetrahedron (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireTetrahedron
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireTetrahedron@8' :: fauxWireTetrahedron
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireTetrahedron'   :: fauxWireTetrahedron
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxWireTetrahedron
end interface
interface
subroutine  fauxSolidTetrahedron (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidTetrahedron
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidTetrahedron@8' :: fauxSolidTetrahedron
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidTetrahedron'   :: fauxSolidTetrahedron
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxSolidTetrahedron
end interface
interface
subroutine  fauxWireDodecahedron (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireDodecahedron
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireDodecahedron@8' :: fauxWireDodecahedron
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireDodecahedron'   :: fauxWireDodecahedron
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxWireDodecahedron
end interface
interface
subroutine  fauxSolidDodecahedron (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidDodecahedron
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidDodecahedron@8' :: fauxSolidDodecahedron
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidDodecahedron'   :: fauxSolidDodecahedron
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxSolidDodecahedron
end interface
interface
subroutine  fauxWireCone (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireCone
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireCone@16' :: fauxWireCone
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireCone'    :: fauxWireCone
!DEC$ENDIF
real*8 dummy0 
real*8 dummy1 
end subroutine fauxWireCone
end interface
interface
subroutine  fauxSolidCone (dummy0,dummy1) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidCone
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidCone@16' :: fauxSolidCone
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidCone'    :: fauxSolidCone
!DEC$ENDIF
real*8 dummy0 
real*8 dummy1 
end subroutine fauxSolidCone
end interface
interface
subroutine  fauxWireTeapot (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxWireTeapot
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxWireTeapot@8' :: fauxWireTeapot
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxWireTeapot'   :: fauxWireTeapot
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxWireTeapot
end interface
interface
subroutine  fauxSolidTeapot (dummy0) 
!DEC$ ATTRIBUTES DEFAULT :: fauxSolidTeapot
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxSolidTeapot@8' :: fauxSolidTeapot
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxSolidTeapot'   :: fauxSolidTeapot
!DEC$ENDIF
real*8 dummy0 
end subroutine fauxSolidTeapot
end interface
! 
! ** Window specific functions
! ** hwnd, hdc, and hglrc valid after auxInitWindow()
! 
interface
integer(4) function  fauxGetHWND ()
!DEC$ ATTRIBUTES DEFAULT :: fauxGetHWND
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxGetHWND@0' :: fauxGetHWND
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxGetHWND'  :: fauxGetHWND
!DEC$ENDIF
end function fauxGetHWND
end interface
interface
integer(4) function  fauxGetHDC () 
!DEC$ ATTRIBUTES DEFAULT :: fauxGetHDC
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxGetHDC@0' :: fauxGetHDC
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxGetHDC'   :: fauxGetHDC
!DEC$ENDIF
end function fauxGetHDC
end interface
interface
integer(4) function  fauxGetHGLRC () 
!DEC$ ATTRIBUTES DEFAULT :: fauxGetHGLRC
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxGetHGLRC@0' :: fauxGetHGLRC
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxGetHGLRC'  :: fauxGetHGLRC
!DEC$ENDIF
end function fauxGetHGLRC
end interface
!*
!** Viewperf support functions 
!*
!* Display Mode Selection Criteria 
interface
subroutine fauxInitDisplayModePolicy (dummy0)
!DEC$ ATTRIBUTES DEFAULT :: fauxInitDisplayModePolicy
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxInitDisplayModePolicy@4' :: fauxInitDisplayModePolicy
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxInitDisplayModePolicy'   :: fauxInitDisplayModePolicy
!DEC$ENDIF
integer(4)  dummy0
end subroutine fauxInitDisplayModePolicy
end interface
interface
integer(4)  function fauxInitDisplayModeID (dummy0)
!DEC$ ATTRIBUTES DEFAULT :: fauxInitDisplayModeID
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxInitDisplayModeID@4' :: fauxInitDisplayModeID
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxInitDisplayModeID'   :: fauxInitDisplayModeID
!DEC$ENDIF
integer(4)  dummy0
end function fauxInitDisplayModeID
end interface
interface
integer(4) function fauxGetDisplayModePolicy ()
!DEC$ ATTRIBUTES DEFAULT :: fauxGetDisplayModePolicy
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxGetDisplayModePolicy@0' :: fauxGetDisplayModePolicy
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxGetDisplayModePolicy'   :: fauxGetDisplayModePolicy
!DEC$ENDIF
end function fauxGetDisplayModePolicy
end interface
interface
integer(4) function fauxGetDisplayModeID ()
!DEC$ ATTRIBUTES DEFAULT :: fauxGetDisplayModeID
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxGetDisplayModeID@0' :: fauxGetDisplayModeID
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxGetDisplayModeID'   :: fauxGetDisplayModeID
!DEC$ENDIF
end function fauxGetDisplayModeID
end interface
interface
integer(4) function fauxGetDisplayMode ()
!DEC$ ATTRIBUTES DEFAULT :: fauxGetDisplayMode
!DEC$IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_auxGetDisplayMode@0' :: fauxGetDisplayMode
!DEC$ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'auxGetDisplayMode'   :: fauxGetDisplayMode
!DEC$ENDIF
end function fauxGetDisplayMode
end interface
!!
! The following "wgl" routines had previously been defined in DFWIN
! and have been moved here
!!
interface !lib=opengl32.lib
integer function fwglCreateContext (hDC)
!DEC$ ATTRIBUTES DEFAULT :: fwglCreateContext
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_wglCreateContext@4' :: fwglCreateContext 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'wglCreateContext'  :: fwglCreateContext 
!DEC$ ENDIF
integer hDC
end function fwglCreateContext 
end interface
interface !lib=opengl32.lib
integer function fwglDeleteContext (hDC)
!DEC$ ATTRIBUTES DEFAULT :: fwglDeleteContext
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_wglDeleteContext@4' :: fwglDeleteContext 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'wglDeleteContext'  :: fwglDeleteContext 
!DEC$ ENDIF
integer hDC
end function fwglDeleteContext 
end interface
interface !lib=opengl32.lib
integer function fwglGetCurrentContext ()
!DEC$ ATTRIBUTES DEFAULT :: fwglGetCurrentContext
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_wglGetCurrentContext@0' :: fwglGetCurrentContext 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'wglGetCurrentContext'   :: fwglGetCurrentContext 
!DEC$ ENDIF
end function fwglGetCurrentContext 
end interface
interface !lib=opengl32.lib
integer function fwglGetCurrentDC ()
!DEC$ ATTRIBUTES DEFAULT :: fwglGetCurrentDC
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_wglGetCurrentDC@0' :: fwglGetCurrentDC 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'wglGetCurrentDC'   :: fwglGetCurrentDC 
!DEC$ ENDIF
end function fwglGetCurrentDC 
end interface
interface !lib=opengl32.lib
logical(4) function fwglMakeCurrent (hDC, hGLRC)
!DEC$ ATTRIBUTES DEFAULT :: fwglMakeCurrent
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_wglMakeCurrent@8' :: fwglMakeCurrent 
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS :  'wglMakeCurrent'   :: fwglMakeCurrent 
!DEC$ ENDIF
integer hGLRC               
integer hDC
end function fwglMakeCurrent 
end interface

 INTERFACE 
 FUNCTION fwglUseFontBitmaps( &
	 arg1, &
	 arg2, &
	 arg3, &
	 arg4)
 USE DFOPNGLT
     INTEGER(K_GLBOOL) :: fwglUseFontBitmaps     
     !DEC$ ATTRIBUTES DEFAULT :: fwglUseFontBitmaps
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglUseFontBitmapsA@16' :: fwglUseFontBitmaps
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglUseFontBitmapsA' :: fwglUseFontBitmaps
     !DEC$ ENDIF
 INTEGER(K_GLvoid)  arg1 ! HDC arg1
 INTEGER(K_GLDWORD) arg2 ! DWORD arg2
 INTEGER(K_GLDWORD) arg3 ! DWORD arg3
 INTEGER(K_GLDWORD) arg4 ! DWORD arg4
 END FUNCTION
 END INTERFACE

 INTERFACE
 FUNCTION fwglCopyContext( &
	 arg1, &
	 arg2, &
	 arg3)
 USE DFOPNGLT
     INTEGER(K_GLBOOL) :: fwglCopyContext
     !DEC$ ATTRIBUTES DEFAULT :: fwglCopyContext
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglCopyContext@12' :: fwglCopyContext
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglCopyContext' :: fwglCopyContext
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1  !HGLRC arg1
 INTEGER(K_GLvoid) arg2  !HGLRC arg2
 INTEGER(K_GLuint) arg3
 END FUNCTION
 END INTERFACE

 INTERFACE 
 FUNCTION fwglCreateLayerContext( &
	 arg1, &
	 arg2)
 USE DFOPNGLT
     INTEGER(K_GLvoid) :: fwglCreateLayerContext
     !DEC$ ATTRIBUTES DEFAULT :: fwglCreateLayerContext
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglCreateLayerContext@8' :: fwglCreateLayerContext
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglCreateLayerContext' :: fwglCreateLayerContext
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1 !HDC arg1
 INTEGER(K_GLint) arg2
 END FUNCTION
 END INTERFACE

 INTERFACE
 FUNCTION fwglGetProcAddress( &
	 arg1)
 USE DFOPNGLT
     INTEGER(K_GLvoid) :: fwglGetProcAddress
     !DEC$ ATTRIBUTES DEFAULT :: fwglGetProcAddress
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglGetProcAddress@4' :: fwglGetProcAddress
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglGetProcAddress' :: fwglGetProcAddress
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1 ! LPCSTR
 END FUNCTION
 END INTERFACE

 INTERFACE
 FUNCTION fwglShareLists( &
	 arg1, &
	 arg2)
 USE DFOPNGLT
     INTEGER(K_GLBOOL) :: fwglShareLists
     !DEC$ ATTRIBUTES DEFAULT :: fwglShareLists
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglShareLists@8' :: fwglShareLists
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglShareLists' :: fwglShareLists
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1 !HGLRC arg1
 INTEGER(K_GLvoid) arg2 !HGLRC arg2
 END FUNCTION
 END INTERFACE

 INTERFACE
 FUNCTION fwglUseFontOutlines( &
	 arg1,  &
	 arg2,  &
	 arg3,  &
	 arg4,  &
	 arg5,  &
	 arg6,  &
	 arg7,  &
	 arg8)
 USE DFOPNGLT
     INTEGER(K_GLBOOL) :: fwglUseFontOutlines
     !DEC$ ATTRIBUTES DEFAULT :: fwglUseFontOutlines
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglUseFontOutlinesA@32' :: fwglUseFontOutlines
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglUseFontOutlinesA' :: fwglUseFontOutlines
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1  !HDC arg1
 INTEGER(K_GLDWORD) arg2
 INTEGER(K_GLDWORD) arg3
 INTEGER(K_GLDWORD) arg4
 REAL(K_GLfloat) arg5
 REAL(K_GLfloat) arg6
 INTEGER(K_GLint) arg7
 INTEGER(K_GLvoid) arg8 ! LPGLYPHMETRICSFLOAT 
 END FUNCTION
 END INTERFACE


 INTERFACE 
 FUNCTION fwglDescribeLayerPlane( &
	 arg1, &
	 arg2, &
	 arg3, &
	 arg4, &
	 arg5)
 USE DFOPNGLT
     INTEGER(K_GLBOOL) :: fwglDescribeLayerPlane
     !DEC$ ATTRIBUTES DEFAULT :: fwglDescribeLayerPlane
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglDescribeLayerPlane@20' :: fwglDescribeLayerPlane
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglDescribeLayerPlane' :: fwglDescribeLayerPlane
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1  !HDC arg1
 INTEGER(K_GLint)  arg2
 INTEGER(K_GLint)  arg3
 INTEGER(K_GLuint) arg4
 INTEGER(K_GLvoid) arg5 ! pointer to LPLAYERPLANEDESCRIPTOR
 END FUNCTION
 END INTERFACE

 INTERFACE 
 FUNCTION fwglSetLayerPaletteEntries( &
	 arg1, &
	 arg2, &
	 arg3, &
	 arg4, &
	 arg5 )
 USE DFOPNGLT
     INTEGER(K_GLint) :: fwglSetLayerPaletteEntries
     !DEC$ ATTRIBUTES DEFAULT :: fwglSetLayerPaletteEntries
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglSetLayerPaletteEntries@20' :: fwglSetLayerPaletteEntries
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglSetLayerPaletteEntries' :: fwglSetLayerPaletteEntries
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1  ! HDC arg1
 INTEGER(K_GLint)  arg2
 INTEGER(K_GLint)  arg3
 INTEGER(K_GLint)  arg4
 INTEGER(K_GLvoid) arg5  ! pointer to colorref
 END FUNCTION
 END INTERFACE

 INTERFACE 
 FUNCTION fwglGetLayerPaletteEntries(  &
	 arg1, &
	 arg2, &
	 arg3, &
	 arg4, &
	 arg5)
 USE DFOPNGLT
     INTEGER(K_GLint) :: fwglGetLayerPaletteEntries
     !DEC$ ATTRIBUTES DEFAULT :: fwglGetLayerPaletteEntries
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglGetLayerPaletteEntries@20' :: fwglGetLayerPaletteEntries
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglGetLayerPaletteEntries' :: fwglGetLayerPaletteEntries
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1  !HDC arg1
 INTEGER(K_GLint)  arg2
 INTEGER(K_GLint)  arg3
 INTEGER(K_GLint)  arg4
 INTEGER(K_GLvoid) arg5  ! pointer to colorref
 END FUNCTION
 END INTERFACE

 INTERFACE 
 FUNCTION fwglRealizeLayerPalette( &
	 arg1, &
	 arg2, &
	 arg3)
 USE DFOPNGLT
     INTEGER(K_GLBOOL) :: fwglRealizeLayerPalette
     !DEC$ ATTRIBUTES DEFAULT :: fwglRealizeLayerPalette
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglRealizeLayerPalette@12' :: fwglRealizeLayerPalette
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglRealizeLayerPalette' :: fwglRealizeLayerPalette
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1 !HDC arg1
 INTEGER(K_GLint)  arg2
 INTEGER(K_GLBOOL) arg3
 END FUNCTION
 END INTERFACE
 INTERFACE 
 FUNCTION fwglSwapLayerBuffers( &
	 arg1, &
	 arg2)
 USE DFOPNGLT
     INTEGER(K_GLBOOL) :: fwglSwapLayerBuffers
     !DEC$ ATTRIBUTES DEFAULT :: fwglSwapLayerBuffers
     !DEC$IF DEFINED(_X86_)
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'_wglSwapLayerBuffers@8' :: fwglSwapLayerBuffers
     !DEC$ ELSE
     !DEC$ ATTRIBUTES STDCALL, ALIAS:'wglSwapLayerBuffers' :: fwglSwapLayerBuffers
     !DEC$ ENDIF
 INTEGER(K_GLvoid) arg1 !HDC arg1
 INTEGER(K_GLuint) arg2
 END FUNCTION
 END INTERFACE

end module DFOPNGL
